## valgrind 3.6.0-1

=== Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# This file should be included (directly or indirectly) by every
# Makefile.am that builds programs.  And also the top-level Makefile.am.

#----------------------------------------------------------------------------
# Global stuff
#----------------------------------------------------------------------------



pkgdatadir = $(datadir)/valgrind
pkgincludedir = $(includedir)/valgrind
pkglibdir = $(libdir)/valgrind
pkglibexecdir = $(libexecdir)/valgrind
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
DIST_COMMON = README $(am__configure_deps) $(dist_noinst_DATA) \
	$(dist_noinst_SCRIPTS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(srcdir)/glibc-2.X.supp.in $(srcdir)/valgrind.pc.in \
	$(srcdir)/valgrind.spec.in $(top_srcdir)/Makefile.all.am \
	$(top_srcdir)/configure \
	$(top_srcdir)/drd/scripts/download-and-build-splash2.in \
	AUTHORS COPYING NEWS compile config.guess config.sub depcomp \
	install-sh missing
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = valgrind.spec valgrind.pc glibc-2.X.supp \
	drd/scripts/download-and-build-splash2
CONFIG_CLEAN_VPATH_FILES =
SCRIPTS = $(dist_noinst_SCRIPTS)
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(pkglibdir)"
DATA = $(dist_noinst_DATA) $(pkgconfig_DATA) $(pkglib_DATA)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir dist dist-all distcheck
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d "$(distdir)" \
    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr "$(distdir)"; }; }
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/lm/valgrind-3.6.0/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/lm/valgrind-3.6.0/missing --run tar
AR = /scratchbox/compilers/bin/ar
AUTOCONF = ${SHELL} /home/lm/valgrind-3.6.0/missing --run autoconf
AUTOHEADER = ${SHELL} /home/lm/valgrind-3.6.0/missing --run autoheader
AUTOMAKE = ${SHELL} /home/lm/valgrind-3.6.0/missing --run automake-1.11
AWK = gawk
BOOST_CFLAGS = 
BOOST_LIBS = 
CC = gcc
CCAS = gcc
CCASDEPMODE = depmode=gcc3
CCASFLAGS = -Wno-long-long 
CCDEPMODE = depmode=gcc3
CFLAGS = -Wno-long-long 
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFAULT_SUPP = exp-ptrcheck.supp xfree-3.supp xfree-4.supp glibc-2.X-drd.supp glibc-2.34567-NPTL-helgrind.supp glibc-2.4.supp 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DIFF = diff -u
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
FLAG_FNO_STACK_PROTECTOR = 
FLAG_M32 = 
FLAG_M64 = 
FLAG_MAIX32 = 
FLAG_MAIX64 = 
FLAG_MMMX = 
FLAG_MSSE = 
FLAG_NO_BUILD_ID = 
FLAG_UNLIMITED_INLINE_UNIT_GROWTH = --param inline-unit-growth=900
FLAG_W_EXTRA = -Wextra
FLAG_W_NO_EMPTY_BODY = 
FLAG_W_NO_FORMAT_ZERO_LENGTH = -Wno-format-zero-length
FLAG_W_NO_UNINITIALIZED = -Wno-uninitialized
GDB = /targets/links/arch_tools/bin/gdb
GLIBC_VERSION = 2.4
GREP = /scratchbox/tools/bin/grep
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /home/lm/valgrind-3.6.0/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
MPI_CC = mpicc
OBJEXT = o
PACKAGE = valgrind
PACKAGE_BUGREPORT = valgrind-users@lists.sourceforge.net
PACKAGE_NAME = Valgrind
PACKAGE_STRING = Valgrind 3.6.0
PACKAGE_TARNAME = valgrind
PACKAGE_URL = 
PACKAGE_VERSION = 3.6.0
PATH_SEPARATOR = :
PERL = /scratchbox/tools/bin/perl
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
PREFERRED_STACK_BOUNDARY = 
QTCORE_CFLAGS = -DQT_SHARED -I/usr/include/qt4 -I/usr/include/qt4/QtCore  
QTCORE_LIBS = -lQtCore  
RANLIB = ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VALT_LOAD_ADDRESS_PRI = 0x38000000
VALT_LOAD_ADDRESS_SEC = 0xUNSET
VERSION = 3.6.0
VGCONF_ARCH_PRI = arm
VGCONF_ARCH_SEC = 
VGCONF_OS = linux
VGCONF_PLATFORM_PRI_CAPS = ARM_LINUX
VGCONF_PLATFORM_SEC_CAPS = 
abs_builddir = /home/lm/valgrind-3.6.0
abs_srcdir = /home/lm/valgrind-3.6.0
abs_top_builddir = /home/lm/valgrind-3.6.0
abs_top_srcdir = /home/lm/valgrind-3.6.0
ac_ct_CC = gcc
ac_ct_CXX = g++
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = 
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/lm/valgrind-3.6.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = /usr/share/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
AUTOMAKE_OPTIONS = foreign 1.7 dist-bzip2
inplacedir = $(top_builddir)/.in_place

#----------------------------------------------------------------------------
# Flags
#----------------------------------------------------------------------------

# Baseline flags for all compilations.  Aim here is to maximise
# performance and get whatever useful warnings we can out of gcc.
AM_CFLAGS_BASE = \
	-O2 -g \
	-Wall \
	-Wmissing-prototypes \
	-Wshadow \
	-Wpointer-arith \
	-Wstrict-prototypes \
	-Wmissing-declarations \
	-Wno-format-zero-length \
	-fno-strict-aliasing

AM_CFLAGS_PIC = -fpic -O -g -fno-omit-frame-pointer -fno-strict-aliasing

# These flags are used for building the preload shared objects.
# The aim is to give reasonable performance but also to have good
# stack traces, since users often see stack traces extending 
# into (and through) the preloads.
#AM_CFLAGS_PIC = -dynamic -O -g -fno-omit-frame-pointer -fno-strict-aliasing \
#		-mno-dynamic-no-pic -fpic -fPIC


# Flags for specific targets.
#
# Nb: the AM_CPPFLAGS_* values are suitable for building tools and auxprogs.
# For building the core, coregrind/Makefile.am files add some extra things.
#
# Also: in newer versions of automake (1.10 onwards?) asm files ending with
# '.S' are considered "pre-processed" (as opposed to those ending in '.s')
# and so the CPPFLAGS are passed to the assembler.  But this is not true for
# older automakes (e.g. 1.8.5, 1.9.6), sigh.  So we include
# AM_CPPFLAGS_<PLATFORM> in each AM_CCASFLAGS_<PLATFORM> variable.  This
# means some of the flags are duplicated on systems with newer versions of
# automake, but this does not really matter and seems hard to avoid.
AM_CPPFLAGS_ARM_LINUX = \
	-I$(top_srcdir) \
	-I$(top_srcdir)/include \
	-I$(top_srcdir)/VEX/pub \
	-DVGA_arm=1 \
	-DVGO_linux=1 \
	-DVGP_arm_linux=1

#AM_CPPFLAGS_ = \
#	-I$(top_srcdir) \
#	-I$(top_srcdir)/include \
#	-I$(top_srcdir)/VEX/pub \
#	-DVGA_=1 \
#	-DVGO_linux=1 \
#	-DVGP__linux=1

AM_FLAG_M3264_X86_LINUX = 
AM_CFLAGS_X86_LINUX =   \
			 	$(AM_CFLAGS_BASE)

AM_CCASFLAGS_X86_LINUX = $(AM_CPPFLAGS_X86_LINUX)  -g
AM_FLAG_M3264_AMD64_LINUX = 
AM_CFLAGS_AMD64_LINUX =  -fomit-frame-pointer \
				 $(AM_CFLAGS_BASE)

AM_CCASFLAGS_AMD64_LINUX = $(AM_CPPFLAGS_AMD64_LINUX)  -g
AM_FLAG_M3264_PPC32_LINUX = 
AM_CFLAGS_PPC32_LINUX =  $(AM_CFLAGS_BASE)
AM_CCASFLAGS_PPC32_LINUX = $(AM_CPPFLAGS_PPC32_LINUX)  -g
AM_FLAG_M3264_PPC64_LINUX = 
AM_CFLAGS_PPC64_LINUX =  $(AM_CFLAGS_BASE)
AM_CCASFLAGS_PPC64_LINUX = $(AM_CPPFLAGS_PPC64_LINUX)  -g
AM_FLAG_M3264_ARM_LINUX = 
AM_CFLAGS_ARM_LINUX =   \
			 	$(AM_CFLAGS_BASE) -marm

=== VEX/Makefile ===
# Makefile.vex.in generated by automake 1.11.1 from Makefile.vex.am.
# VEX/Makefile.  Generated from Makefile.vex.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# VEX/Makefile is generated from this file at configure-time.

# This file should be included (directly or indirectly) by every
# Makefile.am that builds programs.  And also the top-level Makefile.am.

#----------------------------------------------------------------------------
# Global stuff
#----------------------------------------------------------------------------



pkgdatadir = $(datadir)/valgrind
pkgincludedir = $(includedir)/valgrind
pkglibdir = $(libdir)/valgrind
pkglibexecdir = $(libexecdir)/valgrind
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
DIST_COMMON = $(noinst_HEADERS) $(pkginclude_HEADERS) \
	$(top_srcdir)/Makefile.all.am $(top_srcdir)/Makefile.vex.am \
	$(top_srcdir)/Makefile.vex.in
#am__append_1 = libvex--linux.a
subdir = VEX
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(pkglibdir)" \
	"$(DESTDIR)$(pkgincludedir)"
LIBRARIES = $(pkglib_LIBRARIES)
ARFLAGS = cru
libvex_arm_linux_a_AR = $(AR) $(ARFLAGS)
libvex_arm_linux_a_LIBADD =
am__objects_1 =  \
	libvex_arm_linux_a-main_globals.$(OBJEXT) \
	libvex_arm_linux_a-main_main.$(OBJEXT) \
	libvex_arm_linux_a-main_util.$(OBJEXT) \
	libvex_arm_linux_a-ir_defs.$(OBJEXT) \
	libvex_arm_linux_a-ir_match.$(OBJEXT) \
	libvex_arm_linux_a-ir_opt.$(OBJEXT) \
	libvex_arm_linux_a-guest_generic_bb_to_IR.$(OBJEXT) \
	libvex_arm_linux_a-guest_generic_x87.$(OBJEXT) \
	libvex_arm_linux_a-guest_x86_helpers.$(OBJEXT) \
	libvex_arm_linux_a-guest_x86_toIR.$(OBJEXT) \
	libvex_arm_linux_a-guest_amd64_helpers.$(OBJEXT) \
	libvex_arm_linux_a-guest_amd64_toIR.$(OBJEXT) \
	libvex_arm_linux_a-guest_ppc_helpers.$(OBJEXT) \
	libvex_arm_linux_a-guest_ppc_toIR.$(OBJEXT) \
	libvex_arm_linux_a-guest_arm_helpers.$(OBJEXT) \
	libvex_arm_linux_a-guest_arm_toIR.$(OBJEXT) \
	libvex_arm_linux_a-host_generic_regs.$(OBJEXT) \
	libvex_arm_linux_a-host_generic_simd64.$(OBJEXT) \
	libvex_arm_linux_a-host_generic_simd128.$(OBJEXT) \
	libvex_arm_linux_a-host_generic_reg_alloc2.$(OBJEXT) \
	libvex_arm_linux_a-host_x86_defs.$(OBJEXT) \
	libvex_arm_linux_a-host_x86_isel.$(OBJEXT) \
	libvex_arm_linux_a-host_amd64_defs.$(OBJEXT) \
	libvex_arm_linux_a-host_amd64_isel.$(OBJEXT) \
	libvex_arm_linux_a-host_ppc_defs.$(OBJEXT) \
	libvex_arm_linux_a-host_ppc_isel.$(OBJEXT) \
	libvex_arm_linux_a-host_arm_defs.$(OBJEXT) \
	libvex_arm_linux_a-host_arm_isel.$(OBJEXT)
am_libvex_arm_linux_a_OBJECTS = $(am__objects_1)
libvex_arm_linux_a_OBJECTS =  \
	$(am_libvex_arm_linux_a_OBJECTS)
libvex__linux_a_AR = $(AR) $(ARFLAGS)
libvex__linux_a_LIBADD =
am__libvex__linux_a_SOURCES_DIST =  \
	priv/main_globals.c priv/main_main.c priv/main_util.c \
	priv/ir_defs.c priv/ir_match.c priv/ir_opt.c \
	priv/guest_generic_bb_to_IR.c priv/guest_generic_x87.c \
	priv/guest_x86_helpers.c priv/guest_x86_toIR.c \
	priv/guest_amd64_helpers.c priv/guest_amd64_toIR.c \
	priv/guest_ppc_helpers.c priv/guest_ppc_toIR.c \
	priv/guest_arm_helpers.c priv/guest_arm_toIR.c \
	priv/host_generic_regs.c priv/host_generic_simd64.c \
	priv/host_generic_simd128.c priv/host_generic_reg_alloc2.c \
	priv/host_x86_defs.c priv/host_x86_isel.c \
	priv/host_amd64_defs.c priv/host_amd64_isel.c \
	priv/host_ppc_defs.c priv/host_ppc_isel.c priv/host_arm_defs.c \
	priv/host_arm_isel.c
am__objects_2 =  \
	libvex__linux_a-main_globals.$(OBJEXT) \
	libvex__linux_a-main_main.$(OBJEXT) \
	libvex__linux_a-main_util.$(OBJEXT) \
	libvex__linux_a-ir_defs.$(OBJEXT) \
	libvex__linux_a-ir_match.$(OBJEXT) \
	libvex__linux_a-ir_opt.$(OBJEXT) \
	libvex__linux_a-guest_generic_bb_to_IR.$(OBJEXT) \
	libvex__linux_a-guest_generic_x87.$(OBJEXT) \
	libvex__linux_a-guest_x86_helpers.$(OBJEXT) \
	libvex__linux_a-guest_x86_toIR.$(OBJEXT) \
	libvex__linux_a-guest_amd64_helpers.$(OBJEXT) \
	libvex__linux_a-guest_amd64_toIR.$(OBJEXT) \
	libvex__linux_a-guest_ppc_helpers.$(OBJEXT) \
	libvex__linux_a-guest_ppc_toIR.$(OBJEXT) \
	libvex__linux_a-guest_arm_helpers.$(OBJEXT) \
	libvex__linux_a-guest_arm_toIR.$(OBJEXT) \
	libvex__linux_a-host_generic_regs.$(OBJEXT) \
	libvex__linux_a-host_generic_simd64.$(OBJEXT) \
	libvex__linux_a-host_generic_simd128.$(OBJEXT) \
	libvex__linux_a-host_generic_reg_alloc2.$(OBJEXT) \
	libvex__linux_a-host_x86_defs.$(OBJEXT) \
	libvex__linux_a-host_x86_isel.$(OBJEXT) \
	libvex__linux_a-host_amd64_defs.$(OBJEXT) \
	libvex__linux_a-host_amd64_isel.$(OBJEXT) \
	libvex__linux_a-host_ppc_defs.$(OBJEXT) \
	libvex__linux_a-host_ppc_isel.$(OBJEXT) \
	libvex__linux_a-host_arm_defs.$(OBJEXT) \
	libvex__linux_a-host_arm_isel.$(OBJEXT)
#am_libvex__linux_a_OBJECTS =  \
#	$(am__objects_2)
libvex__linux_a_OBJECTS =  \
	$(am_libvex__linux_a_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libvex_arm_linux_a_SOURCES) \
	$(libvex__linux_a_SOURCES)
DIST_SOURCES = $(libvex_arm_linux_a_SOURCES) \
	$(am__libvex__linux_a_SOURCES_DIST)
HEADERS = $(noinst_HEADERS) $(pkginclude_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/lm/valgrind-3.6.0/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/lm/valgrind-3.6.0/missing --run tar
AR = /scratchbox/compilers/bin/ar
AUTOCONF = ${SHELL} /home/lm/valgrind-3.6.0/missing --run autoconf
AUTOHEADER = ${SHELL} /home/lm/valgrind-3.6.0/missing --run autoheader
AUTOMAKE = ${SHELL} /home/lm/valgrind-3.6.0/missing --run automake-1.11
AWK = gawk
BOOST_CFLAGS = 
BOOST_LIBS = 
CC = gcc
CCAS = gcc
CCASDEPMODE = depmode=gcc3
CCASFLAGS = -Wno-long-long 
CCDEPMODE = depmode=gcc3
CFLAGS = -Wno-long-long 
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFAULT_SUPP = exp-ptrcheck.supp xfree-3.supp xfree-4.supp glibc-2.X-drd.supp glibc-2.34567-NPTL-helgrind.supp glibc-2.4.supp 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DIFF = diff -u
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
FLAG_FNO_STACK_PROTECTOR = 
FLAG_M32 = 
FLAG_M64 = 
FLAG_MAIX32 = 
FLAG_MAIX64 = 
FLAG_MMMX = 
FLAG_MSSE = 
FLAG_NO_BUILD_ID = 
FLAG_UNLIMITED_INLINE_UNIT_GROWTH = --param inline-unit-growth=900
FLAG_W_EXTRA = -Wextra
FLAG_W_NO_EMPTY_BODY = 
FLAG_W_NO_FORMAT_ZERO_LENGTH = -Wno-format-zero-length
FLAG_W_NO_UNINITIALIZED = -Wno-uninitialized
GDB = /targets/links/arch_tools/bin/gdb
GLIBC_VERSION = 2.4
GREP = /scratchbox/tools/bin/grep
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /home/lm/valgrind-3.6.0/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
MPI_CC = mpicc
OBJEXT = o
PACKAGE = valgrind
PACKAGE_BUGREPORT = valgrind-users@lists.sourceforge.net
PACKAGE_NAME = Valgrind
PACKAGE_STRING = Valgrind 3.6.0
PACKAGE_TARNAME = valgrind
PACKAGE_URL = 
PACKAGE_VERSION = 3.6.0
PATH_SEPARATOR = :
PERL = /scratchbox/tools/bin/perl
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
PREFERRED_STACK_BOUNDARY = 
QTCORE_CFLAGS = -DQT_SHARED -I/usr/include/qt4 -I/usr/include/qt4/QtCore  
QTCORE_LIBS = -lQtCore  
RANLIB = ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VALT_LOAD_ADDRESS_PRI = 0x38000000
VALT_LOAD_ADDRESS_SEC = 0xUNSET
VERSION = 3.6.0
VGCONF_ARCH_PRI = arm
VGCONF_ARCH_SEC = 
VGCONF_OS = linux
VGCONF_PLATFORM_PRI_CAPS = ARM_LINUX
VGCONF_PLATFORM_SEC_CAPS = 
abs_builddir = /home/lm/valgrind-3.6.0/VEX
abs_srcdir = /home/lm/valgrind-3.6.0/VEX
abs_top_builddir = /home/lm/valgrind-3.6.0
abs_top_srcdir = /home/lm/valgrind-3.6.0
ac_ct_CC = gcc
ac_ct_CXX = g++
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = 
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/lm/valgrind-3.6.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = /usr/share/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
inplacedir = $(top_builddir)/.in_place

#----------------------------------------------------------------------------
# Flags
#----------------------------------------------------------------------------

# Baseline flags for all compilations.  Aim here is to maximise
# performance and get whatever useful warnings we can out of gcc.
AM_CFLAGS_BASE = \
	-O2 -g \
	-Wall \
	-Wmissing-prototypes \
	-Wshadow \
	-Wpointer-arith \
	-Wstrict-prototypes \
	-Wmissing-declarations \
	-Wno-format-zero-length \
	-fno-strict-aliasing

AM_CFLAGS_PIC = -fpic -O -g -fno-omit-frame-pointer -fno-strict-aliasing

# These flags are used for building the preload shared objects.

=== auxprogs/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# auxprogs/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# This file should be included (directly or indirectly) by every
# Makefile.am that builds programs.  And also the top-level Makefile.am.

#----------------------------------------------------------------------------
# Global stuff
#----------------------------------------------------------------------------



pkgdatadir = $(datadir)/valgrind
pkgincludedir = $(includedir)/valgrind
pkglibdir = $(libdir)/valgrind
pkglibexecdir = $(libexecdir)/valgrind
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
DIST_COMMON = $(dist_noinst_SCRIPTS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(top_srcdir)/Makefile.all.am
bin_PROGRAMS = valgrind-listener$(EXEEXT)
#am__append_1 = -Wl,-read_only_relocs -Wl,suppress
subdir = auxprogs
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(bindir)"
PROGRAMS = $(bin_PROGRAMS)
am_valgrind_listener_OBJECTS =  \
	valgrind_listener-valgrind-listener.$(OBJEXT)
valgrind_listener_OBJECTS = $(am_valgrind_listener_OBJECTS)
valgrind_listener_LDADD = $(LDADD)
valgrind_listener_LINK = $(CCLD) $(valgrind_listener_CFLAGS) $(CFLAGS) \
	$(valgrind_listener_LDFLAGS) $(LDFLAGS) -o $@
SCRIPTS = $(dist_noinst_SCRIPTS)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(valgrind_listener_SOURCES)
DIST_SOURCES = $(valgrind_listener_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/lm/valgrind-3.6.0/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/lm/valgrind-3.6.0/missing --run tar
AR = /scratchbox/compilers/bin/ar
AUTOCONF = ${SHELL} /home/lm/valgrind-3.6.0/missing --run autoconf
AUTOHEADER = ${SHELL} /home/lm/valgrind-3.6.0/missing --run autoheader
AUTOMAKE = ${SHELL} /home/lm/valgrind-3.6.0/missing --run automake-1.11
AWK = gawk
BOOST_CFLAGS = 
BOOST_LIBS = 
CC = gcc
CCAS = gcc
CCASDEPMODE = depmode=gcc3
CCASFLAGS = -Wno-long-long 
CCDEPMODE = depmode=gcc3
CFLAGS = -Wno-long-long 
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFAULT_SUPP = exp-ptrcheck.supp xfree-3.supp xfree-4.supp glibc-2.X-drd.supp glibc-2.34567-NPTL-helgrind.supp glibc-2.4.supp 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DIFF = diff -u
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
FLAG_FNO_STACK_PROTECTOR = 
FLAG_M32 = 
FLAG_M64 = 
FLAG_MAIX32 = 
FLAG_MAIX64 = 
FLAG_MMMX = 
FLAG_MSSE = 
FLAG_NO_BUILD_ID = 
FLAG_UNLIMITED_INLINE_UNIT_GROWTH = --param inline-unit-growth=900
FLAG_W_EXTRA = -Wextra
FLAG_W_NO_EMPTY_BODY = 
FLAG_W_NO_FORMAT_ZERO_LENGTH = -Wno-format-zero-length
FLAG_W_NO_UNINITIALIZED = -Wno-uninitialized
GDB = /targets/links/arch_tools/bin/gdb
GLIBC_VERSION = 2.4
GREP = /scratchbox/tools/bin/grep
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /home/lm/valgrind-3.6.0/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
MPI_CC = mpicc
OBJEXT = o
PACKAGE = valgrind
PACKAGE_BUGREPORT = valgrind-users@lists.sourceforge.net
PACKAGE_NAME = Valgrind
PACKAGE_STRING = Valgrind 3.6.0
PACKAGE_TARNAME = valgrind
PACKAGE_URL = 
PACKAGE_VERSION = 3.6.0
PATH_SEPARATOR = :
PERL = /scratchbox/tools/bin/perl
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
PREFERRED_STACK_BOUNDARY = 
QTCORE_CFLAGS = -DQT_SHARED -I/usr/include/qt4 -I/usr/include/qt4/QtCore  
QTCORE_LIBS = -lQtCore  
RANLIB = ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VALT_LOAD_ADDRESS_PRI = 0x38000000
VALT_LOAD_ADDRESS_SEC = 0xUNSET
VERSION = 3.6.0
VGCONF_ARCH_PRI = arm
VGCONF_ARCH_SEC = 
VGCONF_OS = linux
VGCONF_PLATFORM_PRI_CAPS = ARM_LINUX
VGCONF_PLATFORM_SEC_CAPS = 
abs_builddir = /home/lm/valgrind-3.6.0/auxprogs
abs_srcdir = /home/lm/valgrind-3.6.0/auxprogs
abs_top_builddir = /home/lm/valgrind-3.6.0
abs_top_srcdir = /home/lm/valgrind-3.6.0
ac_ct_CC = gcc
ac_ct_CXX = g++
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = 
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/lm/valgrind-3.6.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = /usr/share/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
inplacedir = $(top_builddir)/.in_place

#----------------------------------------------------------------------------
# Flags
#----------------------------------------------------------------------------

# Baseline flags for all compilations.  Aim here is to maximise
# performance and get whatever useful warnings we can out of gcc.
AM_CFLAGS_BASE = \
	-O2 -g \
	-Wall \
	-Wmissing-prototypes \
	-Wshadow \
	-Wpointer-arith \
	-Wstrict-prototypes \
	-Wmissing-declarations \
	-Wno-format-zero-length \
	-fno-strict-aliasing

AM_CFLAGS_PIC = -fpic -O -g -fno-omit-frame-pointer -fno-strict-aliasing

# These flags are used for building the preload shared objects.
# The aim is to give reasonable performance but also to have good
# stack traces, since users often see stack traces extending 
# into (and through) the preloads.
#AM_CFLAGS_PIC = -dynamic -O -g -fno-omit-frame-pointer -fno-strict-aliasing \
#		-mno-dynamic-no-pic -fpic -fPIC


# Flags for specific targets.
#
# Nb: the AM_CPPFLAGS_* values are suitable for building tools and auxprogs.
# For building the core, coregrind/Makefile.am files add some extra things.
#
# Also: in newer versions of automake (1.10 onwards?) asm files ending with
# '.S' are considered "pre-processed" (as opposed to those ending in '.s')
# and so the CPPFLAGS are passed to the assembler.  But this is not true for
# older automakes (e.g. 1.8.5, 1.9.6), sigh.  So we include
# AM_CPPFLAGS_<PLATFORM> in each AM_CCASFLAGS_<PLATFORM> variable.  This
# means some of the flags are duplicated on systems with newer versions of
# automake, but this does not really matter and seems hard to avoid.
AM_CPPFLAGS_ARM_LINUX = \
	-I$(top_srcdir) \
	-I$(top_srcdir)/include \
	-I$(top_srcdir)/VEX/pub \
	-DVGA_arm=1 \
	-DVGO_linux=1 \
	-DVGP_arm_linux=1

#AM_CPPFLAGS_ = \
#	-I$(top_srcdir) \
#	-I$(top_srcdir)/include \
#	-I$(top_srcdir)/VEX/pub \
#	-DVGA_=1 \
#	-DVGO_linux=1 \
#	-DVGP__linux=1

AM_FLAG_M3264_X86_LINUX = 
AM_CFLAGS_X86_LINUX =   \
			 	$(AM_CFLAGS_BASE)

AM_CCASFLAGS_X86_LINUX = $(AM_CPPFLAGS_X86_LINUX)  -g
AM_FLAG_M3264_AMD64_LINUX = 
AM_CFLAGS_AMD64_LINUX =  -fomit-frame-pointer \
				 $(AM_CFLAGS_BASE)

AM_CCASFLAGS_AMD64_LINUX = $(AM_CPPFLAGS_AMD64_LINUX)  -g
AM_FLAG_M3264_PPC32_LINUX = 
AM_CFLAGS_PPC32_LINUX =  $(AM_CFLAGS_BASE)
AM_CCASFLAGS_PPC32_LINUX = $(AM_CPPFLAGS_PPC32_LINUX)  -g
AM_FLAG_M3264_PPC64_LINUX = 
AM_CFLAGS_PPC64_LINUX =  $(AM_CFLAGS_BASE)
AM_CCASFLAGS_PPC64_LINUX = $(AM_CPPFLAGS_PPC64_LINUX)  -g
AM_FLAG_M3264_ARM_LINUX = 
AM_CFLAGS_ARM_LINUX =   \
			 	$(AM_CFLAGS_BASE) -marm

AM_CCASFLAGS_ARM_LINUX = $(AM_CPPFLAGS_ARM_LINUX)  -marm -g
AM_FLAG_M3264_PPC32_AIX5 = 
AM_CFLAGS_PPC32_AIX5 =  -mcpu=powerpc $(AM_CFLAGS_BASE)
AM_CCASFLAGS_PPC32_AIX5 = $(AM_CPPFLAGS_PPC32_AIX5) \
			     -mcpu=powerpc -g

AM_FLAG_M3264_PPC64_AIX5 = 
AM_CFLAGS_PPC64_AIX5 =  -mcpu=powerpc64 $(AM_CFLAGS_BASE)
AM_CCASFLAGS_PPC64_AIX5 = $(AM_CPPFLAGS_PPC64_AIX5) \
			     -mcpu=powerpc64 -g

AM_FLAG_M3264_X86_DARWIN = -arch i386
AM_CFLAGS_X86_DARWIN = $(WERROR) -arch i386 $(AM_CFLAGS_BASE) \
				-mmacosx-version-min=10.5 \
				-fno-stack-protector -fno-pic -fno-PIC

AM_CCASFLAGS_X86_DARWIN = $(AM_CPPFLAGS_X86_DARWIN) -arch i386 -g
AM_FLAG_M3264_AMD64_DARWIN = -arch x86_64
AM_CFLAGS_AMD64_DARWIN = $(WERROR) -arch x86_64 $(AM_CFLAGS_BASE) \
			    -mmacosx-version-min=10.5 -fno-stack-protector

AM_CCASFLAGS_AMD64_DARWIN = $(AM_CPPFLAGS_AMD64_DARWIN) -arch x86_64 -g

# Flags for the primary target.  These must be used to build the
# regtests and performance tests.  In fact, these must be used to
# build anything which is built only once on a dual-arch build.
#
AM_FLAG_M3264_PRI = $(AM_FLAG_M3264_ARM_LINUX)
AM_CPPFLAGS_PRI = $(AM_CPPFLAGS_ARM_LINUX)
AM_CFLAGS_PRI = $(AM_CFLAGS_ARM_LINUX)
AM_CCASFLAGS_PRI = $(AM_CCASFLAGS_ARM_LINUX)
AM_FLAG_M3264_SEC = 
#AM_FLAG_M3264_SEC = $(AM_FLAG_M3264_)

# Baseline link flags for making vgpreload shared objects.
#
PRELOAD_LDFLAGS_COMMON_LINUX = -nodefaultlibs -shared -Wl,-z,interpose,-z,initfirst
PRELOAD_LDFLAGS_COMMON_AIX5 = -nodefaultlibs -shared -Wl,-G -Wl,-bnogc
PRELOAD_LDFLAGS_COMMON_DARWIN = -dynamic -dynamiclib -all_load
PRELOAD_LDFLAGS_X86_LINUX = $(PRELOAD_LDFLAGS_COMMON_LINUX) 
PRELOAD_LDFLAGS_AMD64_LINUX = $(PRELOAD_LDFLAGS_COMMON_LINUX) 
PRELOAD_LDFLAGS_PPC32_LINUX = $(PRELOAD_LDFLAGS_COMMON_LINUX) 
PRELOAD_LDFLAGS_PPC64_LINUX = $(PRELOAD_LDFLAGS_COMMON_LINUX) 
PRELOAD_LDFLAGS_ARM_LINUX = $(PRELOAD_LDFLAGS_COMMON_LINUX) 
PRELOAD_LDFLAGS_PPC32_AIX5 = $(PRELOAD_LDFLAGS_COMMON_AIX5)  
PRELOAD_LDFLAGS_PPC64_AIX5 = $(PRELOAD_LDFLAGS_COMMON_AIX5)  
PRELOAD_LDFLAGS_X86_DARWIN = $(PRELOAD_LDFLAGS_COMMON_DARWIN) -arch i386
PRELOAD_LDFLAGS_AMD64_DARWIN = $(PRELOAD_LDFLAGS_COMMON_DARWIN) -arch x86_64
dist_noinst_SCRIPTS = \
	gen-mdg \
	gsl16test \
	gsl19test \
	posixtestsuite-1.5.1-diff-results

EXTRA_DIST = \
	DotToScc.hs \
	Merge3Way.hs \
	aix5_VKI_info.c \
	aix5_proc_self_sysent.c \
	gsl16-badfree.patch \
	gsl16-wavelet.patch \
	posixtestsuite-1.5.1-diff.txt \
	ppcfround.c \
	ppc64shifts.c \
	primes.c

valgrind_listener_SOURCES = valgrind-listener.c
valgrind_listener_CPPFLAGS = $(AM_CPPFLAGS_PRI) -I$(top_srcdir)/coregrind
valgrind_listener_CFLAGS = $(AM_CFLAGS_PRI)

=== cachegrind/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# cachegrind/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# This file should be included (directly or indirectly) by every
# Makefile.am that builds programs.  And also the top-level Makefile.am.

#----------------------------------------------------------------------------
# Global stuff
#----------------------------------------------------------------------------




pkgdatadir = $(datadir)/valgrind
pkgincludedir = $(includedir)/valgrind
pkglibdir = $(libdir)/valgrind
pkglibexecdir = $(libexecdir)/valgrind
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/cg_annotate.in \
	$(srcdir)/cg_diff.in $(top_srcdir)/Makefile.all.am \
	$(top_srcdir)/Makefile.tool.am
bin_PROGRAMS = cg_merge$(EXEEXT)
#am__append_1 = -Wl,-read_only_relocs -Wl,suppress
noinst_PROGRAMS = cachegrind-arm-linux$(EXEEXT) \
	$(am__EXEEXT_1)
#am__append_2 = cachegrind--linux
cachegrind__linux_DEPENDENCIES =
subdir = cachegrind
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES = cg_annotate cg_diff
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)"
#am__EXEEXT_1 = cachegrind--linux$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS) $(noinst_PROGRAMS)
am__objects_1 =  \
	cachegrind_arm_linux-cg_main.$(OBJEXT) \
	cachegrind_arm_linux-cg-x86-amd64.$(OBJEXT) \
	cachegrind_arm_linux-cg-ppc32.$(OBJEXT) \
	cachegrind_arm_linux-cg-ppc64.$(OBJEXT) \
	cachegrind_arm_linux-cg-arm.$(OBJEXT)
am_cachegrind_arm_linux_OBJECTS =  \
	$(am__objects_1)
cachegrind_arm_linux_OBJECTS =  \
	$(am_cachegrind_arm_linux_OBJECTS)
am__cachegrind__linux_SOURCES_DIST = cg_main.c \
	cg-x86-amd64.c cg-ppc32.c cg-ppc64.c cg-arm.c
am__objects_2 =  \
	cachegrind__linux-cg_main.$(OBJEXT) \
	cachegrind__linux-cg-x86-amd64.$(OBJEXT) \
	cachegrind__linux-cg-ppc32.$(OBJEXT) \
	cachegrind__linux-cg-ppc64.$(OBJEXT) \
	cachegrind__linux-cg-arm.$(OBJEXT)
#am_cachegrind__linux_OBJECTS =  \
#	$(am__objects_2)
cachegrind__linux_OBJECTS =  \
	$(am_cachegrind__linux_OBJECTS)
am_cg_merge_OBJECTS = cg_merge-cg_merge.$(OBJEXT)
cg_merge_OBJECTS = $(am_cg_merge_OBJECTS)
cg_merge_LDADD = $(LDADD)
cg_merge_LINK = $(CCLD) $(cg_merge_CFLAGS) $(CFLAGS) \
	$(cg_merge_LDFLAGS) $(LDFLAGS) -o $@
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
SCRIPTS = $(bin_SCRIPTS)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(cachegrind_arm_linux_SOURCES) \
	$(cachegrind__linux_SOURCES) \
	$(cg_merge_SOURCES)
DIST_SOURCES = $(cachegrind_arm_linux_SOURCES) \
	$(am__cachegrind__linux_SOURCES_DIST) \
	$(cg_merge_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
HEADERS = $(noinst_HEADERS)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = ${SHELL} /home/lm/valgrind-3.6.0/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/lm/valgrind-3.6.0/missing --run tar
AR = /scratchbox/compilers/bin/ar
AUTOCONF = ${SHELL} /home/lm/valgrind-3.6.0/missing --run autoconf
AUTOHEADER = ${SHELL} /home/lm/valgrind-3.6.0/missing --run autoheader
AUTOMAKE = ${SHELL} /home/lm/valgrind-3.6.0/missing --run automake-1.11
AWK = gawk
BOOST_CFLAGS = 
BOOST_LIBS = 
CC = gcc
CCAS = gcc
CCASDEPMODE = depmode=gcc3
CCASFLAGS = -Wno-long-long 
CCDEPMODE = depmode=gcc3
CFLAGS = -Wno-long-long 
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFAULT_SUPP = exp-ptrcheck.supp xfree-3.supp xfree-4.supp glibc-2.X-drd.supp glibc-2.34567-NPTL-helgrind.supp glibc-2.4.supp 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DIFF = diff -u
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
FLAG_FNO_STACK_PROTECTOR = 
FLAG_M32 = 
FLAG_M64 = 
FLAG_MAIX32 = 
FLAG_MAIX64 = 
FLAG_MMMX = 
FLAG_MSSE = 
FLAG_NO_BUILD_ID = 
FLAG_UNLIMITED_INLINE_UNIT_GROWTH = --param inline-unit-growth=900
FLAG_W_EXTRA = -Wextra
FLAG_W_NO_EMPTY_BODY = 
FLAG_W_NO_FORMAT_ZERO_LENGTH = -Wno-format-zero-length
FLAG_W_NO_UNINITIALIZED = -Wno-uninitialized
GDB = /targets/links/arch_tools/bin/gdb
GLIBC_VERSION = 2.4
GREP = /scratchbox/tools/bin/grep
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /home/lm/valgrind-3.6.0/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
MPI_CC = mpicc
OBJEXT = o
PACKAGE = valgrind
PACKAGE_BUGREPORT = valgrind-users@lists.sourceforge.net
PACKAGE_NAME = Valgrind
PACKAGE_STRING = Valgrind 3.6.0
PACKAGE_TARNAME = valgrind
PACKAGE_URL = 
PACKAGE_VERSION = 3.6.0
PATH_SEPARATOR = :
PERL = /scratchbox/tools/bin/perl
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
PREFERRED_STACK_BOUNDARY = 
QTCORE_CFLAGS = -DQT_SHARED -I/usr/include/qt4 -I/usr/include/qt4/QtCore  
QTCORE_LIBS = -lQtCore  
RANLIB = ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VALT_LOAD_ADDRESS_PRI = 0x38000000
VALT_LOAD_ADDRESS_SEC = 0xUNSET
VERSION = 3.6.0
VGCONF_ARCH_PRI = arm
VGCONF_ARCH_SEC = 
VGCONF_OS = linux
VGCONF_PLATFORM_PRI_CAPS = ARM_LINUX
VGCONF_PLATFORM_SEC_CAPS = 
abs_builddir = /home/lm/valgrind-3.6.0/cachegrind
abs_srcdir = /home/lm/valgrind-3.6.0/cachegrind
abs_top_builddir = /home/lm/valgrind-3.6.0
abs_top_srcdir = /home/lm/valgrind-3.6.0
ac_ct_CC = gcc
ac_ct_CXX = g++
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = 
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/lm/valgrind-3.6.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = /usr/share/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
SUBDIRS = . tests
inplacedir = $(top_builddir)/.in_place

#----------------------------------------------------------------------------
# Flags
#----------------------------------------------------------------------------

# Baseline flags for all compilations.  Aim here is to maximise
# performance and get whatever useful warnings we can out of gcc.
AM_CFLAGS_BASE = \
	-O2 -g \
	-Wall \
	-Wmissing-prototypes \
	-Wshadow \
	-Wpointer-arith \
	-Wstrict-prototypes \
	-Wmissing-declarations \
	-Wno-format-zero-length \
	-fno-strict-aliasing

AM_CFLAGS_PIC = -fpic -O -g -fno-omit-frame-pointer -fno-strict-aliasing

# These flags are used for building the preload shared objects.
# The aim is to give reasonable performance but also to have good
# stack traces, since users often see stack traces extending 
# into (and through) the preloads.
#AM_CFLAGS_PIC = -dynamic -O -g -fno-omit-frame-pointer -fno-strict-aliasing \
#		-mno-dynamic-no-pic -fpic -fPIC


# Flags for specific targets.
#
# Nb: the AM_CPPFLAGS_* values are suitable for building tools and auxprogs.
# For building the core, coregrind/Makefile.am files add some extra things.
#
# Also: in newer versions of automake (1.10 onwards?) asm files ending with
# '.S' are considered "pre-processed" (as opposed to those ending in '.s')
# and so the CPPFLAGS are passed to the assembler.  But this is not true for
# older automakes (e.g. 1.8.5, 1.9.6), sigh.  So we include
# AM_CPPFLAGS_<PLATFORM> in each AM_CCASFLAGS_<PLATFORM> variable.  This
# means some of the flags are duplicated on systems with newer versions of

=== callgrind/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# callgrind/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# This file should be included (directly or indirectly) by every
# Makefile.am that builds programs.  And also the top-level Makefile.am.

#----------------------------------------------------------------------------
# Global stuff
#----------------------------------------------------------------------------




pkgdatadir = $(datadir)/valgrind
pkgincludedir = $(includedir)/valgrind
pkglibdir = $(libdir)/valgrind
pkglibexecdir = $(libexecdir)/valgrind
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
DIST_COMMON = $(noinst_HEADERS) $(pkginclude_HEADERS) \
	$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/callgrind_annotate.in $(srcdir)/callgrind_control.in \
	$(top_srcdir)/Makefile.all.am $(top_srcdir)/Makefile.tool.am
noinst_PROGRAMS = callgrind-arm-linux$(EXEEXT) \
	$(am__EXEEXT_1)
#am__append_1 = callgrind--linux
callgrind__linux_DEPENDENCIES =
subdir = callgrind
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES = callgrind_annotate callgrind_control
CONFIG_CLEAN_VPATH_FILES =
#am__EXEEXT_1 = callgrind--linux$(EXEEXT)
PROGRAMS = $(noinst_PROGRAMS)
am__objects_1 = callgrind_arm_linux-bb.$(OBJEXT) \
	callgrind_arm_linux-bbcc.$(OBJEXT) \
	callgrind_arm_linux-callstack.$(OBJEXT) \
	callgrind_arm_linux-clo.$(OBJEXT) \
	callgrind_arm_linux-command.$(OBJEXT) \
	callgrind_arm_linux-context.$(OBJEXT) \
	callgrind_arm_linux-costs.$(OBJEXT) \
	callgrind_arm_linux-debug.$(OBJEXT) \
	callgrind_arm_linux-dump.$(OBJEXT) \
	callgrind_arm_linux-events.$(OBJEXT) \
	callgrind_arm_linux-fn.$(OBJEXT) \
	callgrind_arm_linux-jumps.$(OBJEXT) \
	callgrind_arm_linux-main.$(OBJEXT) \
	callgrind_arm_linux-sim.$(OBJEXT) \
	callgrind_arm_linux-threads.$(OBJEXT) \
	callgrind_arm_linux-cg-x86-amd64.$(OBJEXT) \
	callgrind_arm_linux-cg-ppc32.$(OBJEXT) \
	callgrind_arm_linux-cg-ppc64.$(OBJEXT) \
	callgrind_arm_linux-cg-arm.$(OBJEXT)
am_callgrind_arm_linux_OBJECTS = $(am__objects_1)
callgrind_arm_linux_OBJECTS =  \
	$(am_callgrind_arm_linux_OBJECTS)
am__callgrind__linux_SOURCES_DIST = bb.c bbcc.c \
	callstack.c clo.c command.c context.c costs.c debug.c dump.c \
	events.c fn.c jumps.c main.c sim.c threads.c \
	../cachegrind/cg-x86-amd64.c ../cachegrind/cg-ppc32.c \
	../cachegrind/cg-ppc64.c ../cachegrind/cg-arm.c
am__objects_2 = callgrind__linux-bb.$(OBJEXT) \
	callgrind__linux-bbcc.$(OBJEXT) \
	callgrind__linux-callstack.$(OBJEXT) \
	callgrind__linux-clo.$(OBJEXT) \
	callgrind__linux-command.$(OBJEXT) \
	callgrind__linux-context.$(OBJEXT) \
	callgrind__linux-costs.$(OBJEXT) \
	callgrind__linux-debug.$(OBJEXT) \
	callgrind__linux-dump.$(OBJEXT) \
	callgrind__linux-events.$(OBJEXT) \
	callgrind__linux-fn.$(OBJEXT) \
	callgrind__linux-jumps.$(OBJEXT) \
	callgrind__linux-main.$(OBJEXT) \
	callgrind__linux-sim.$(OBJEXT) \
	callgrind__linux-threads.$(OBJEXT) \
	callgrind__linux-cg-x86-amd64.$(OBJEXT) \
	callgrind__linux-cg-ppc32.$(OBJEXT) \
	callgrind__linux-cg-ppc64.$(OBJEXT) \
	callgrind__linux-cg-arm.$(OBJEXT)
#am_callgrind__linux_OBJECTS =  \
#	$(am__objects_2)
callgrind__linux_OBJECTS =  \
	$(am_callgrind__linux_OBJECTS)
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(pkgincludedir)"
SCRIPTS = $(bin_SCRIPTS)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(callgrind_arm_linux_SOURCES) \
	$(callgrind__linux_SOURCES)
DIST_SOURCES = $(callgrind_arm_linux_SOURCES) \
	$(am__callgrind__linux_SOURCES_DIST)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
HEADERS = $(noinst_HEADERS) $(pkginclude_HEADERS)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = ${SHELL} /home/lm/valgrind-3.6.0/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/lm/valgrind-3.6.0/missing --run tar
AR = /scratchbox/compilers/bin/ar
AUTOCONF = ${SHELL} /home/lm/valgrind-3.6.0/missing --run autoconf
AUTOHEADER = ${SHELL} /home/lm/valgrind-3.6.0/missing --run autoheader
AUTOMAKE = ${SHELL} /home/lm/valgrind-3.6.0/missing --run automake-1.11
AWK = gawk
BOOST_CFLAGS = 
BOOST_LIBS = 
CC = gcc
CCAS = gcc
CCASDEPMODE = depmode=gcc3
CCASFLAGS = -Wno-long-long 
CCDEPMODE = depmode=gcc3
CFLAGS = -Wno-long-long 
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFAULT_SUPP = exp-ptrcheck.supp xfree-3.supp xfree-4.supp glibc-2.X-drd.supp glibc-2.34567-NPTL-helgrind.supp glibc-2.4.supp 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DIFF = diff -u
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
FLAG_FNO_STACK_PROTECTOR = 
FLAG_M32 = 
FLAG_M64 = 
FLAG_MAIX32 = 
FLAG_MAIX64 = 
FLAG_MMMX = 
FLAG_MSSE = 
FLAG_NO_BUILD_ID = 
FLAG_UNLIMITED_INLINE_UNIT_GROWTH = --param inline-unit-growth=900
FLAG_W_EXTRA = -Wextra
FLAG_W_NO_EMPTY_BODY = 
FLAG_W_NO_FORMAT_ZERO_LENGTH = -Wno-format-zero-length
FLAG_W_NO_UNINITIALIZED = -Wno-uninitialized
GDB = /targets/links/arch_tools/bin/gdb
GLIBC_VERSION = 2.4
GREP = /scratchbox/tools/bin/grep
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /home/lm/valgrind-3.6.0/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
MPI_CC = mpicc
OBJEXT = o
PACKAGE = valgrind
PACKAGE_BUGREPORT = valgrind-users@lists.sourceforge.net
PACKAGE_NAME = Valgrind
PACKAGE_STRING = Valgrind 3.6.0
PACKAGE_TARNAME = valgrind
PACKAGE_URL = 
PACKAGE_VERSION = 3.6.0
PATH_SEPARATOR = :
PERL = /scratchbox/tools/bin/perl
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
PREFERRED_STACK_BOUNDARY = 
QTCORE_CFLAGS = -DQT_SHARED -I/usr/include/qt4 -I/usr/include/qt4/QtCore  
QTCORE_LIBS = -lQtCore  
RANLIB = ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VALT_LOAD_ADDRESS_PRI = 0x38000000
VALT_LOAD_ADDRESS_SEC = 0xUNSET
VERSION = 3.6.0
VGCONF_ARCH_PRI = arm
VGCONF_ARCH_SEC = 
VGCONF_OS = linux
VGCONF_PLATFORM_PRI_CAPS = ARM_LINUX
VGCONF_PLATFORM_SEC_CAPS = 
abs_builddir = /home/lm/valgrind-3.6.0/callgrind
abs_srcdir = /home/lm/valgrind-3.6.0/callgrind
abs_top_builddir = /home/lm/valgrind-3.6.0
abs_top_srcdir = /home/lm/valgrind-3.6.0
ac_ct_CC = gcc
ac_ct_CXX = g++
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = 
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/lm/valgrind-3.6.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = /usr/share/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
SUBDIRS = . tests
inplacedir = $(top_builddir)/.in_place

#----------------------------------------------------------------------------
# Flags
#----------------------------------------------------------------------------

# Baseline flags for all compilations.  Aim here is to maximise
# performance and get whatever useful warnings we can out of gcc.
AM_CFLAGS_BASE = \
	-O2 -g \
	-Wall \
	-Wmissing-prototypes \
	-Wshadow \
	-Wpointer-arith \
	-Wstrict-prototypes \
	-Wmissing-declarations \
	-Wno-format-zero-length \
	-fno-strict-aliasing

AM_CFLAGS_PIC = -fpic -O -g -fno-omit-frame-pointer -fno-strict-aliasing

# These flags are used for building the preload shared objects.

=== coregrind/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# coregrind/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Be very careful when renaming any files, targets, whatever, in this
# Makefile.  Various parts of the system rely on these names having
# particular forms.

# This file should be included (directly or indirectly) by every
# Makefile.am that builds programs.  And also the top-level Makefile.am.

#----------------------------------------------------------------------------
# Global stuff
#----------------------------------------------------------------------------




pkgdatadir = $(datadir)/valgrind
pkgincludedir = $(includedir)/valgrind
pkglibdir = $(libdir)/valgrind
pkglibexecdir = $(libexecdir)/valgrind
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/link_tool_exe_aix5.in \
	$(srcdir)/link_tool_exe_darwin.in \
	$(srcdir)/link_tool_exe_linux.in $(top_srcdir)/Makefile.all.am
bin_PROGRAMS = valgrind$(EXEEXT) no_op_client_for_valgrind$(EXEEXT)
#am__append_1 = -Wl,-read_only_relocs -Wl,suppress
#am__append_2 = -Wl,-read_only_relocs -Wl,suppress
#am__append_3 = \
#	m_mach/mach_vmUser.c \
#        m_mach/taskUser.c \
#        m_mach/thread_actUser.c \
#        m_mach/vm_mapUser.c

#am__append_4 = \
#	m_mach/mach_vmServer.c \
#        m_mach/taskServer.c \
#        m_mach/thread_actServer.c \
#        m_mach/vm_mapServer.c

#am__append_5 = \
#	m_mach/mach_vm.h \
#        m_mach/task.h \
#        m_mach/thread_act.h \
#        m_mach/vm_map.h

#am__append_6 = \
#	/usr/include/mach/mach_vm.defs \
#        /usr/include/mach/task.defs \
#        /usr/include/mach/thread_act.defs \
#        /usr/include/mach/vm_map.defs

#am__append_7 = libcoregrind--linux.a
#am__append_8 = libreplacemalloc_toolpreload--linux.a
noinst_PROGRAMS =  \
	vgpreload_core-arm-linux.so$(EXEEXT) \
	$(am__EXEEXT_1)
#am__append_9 = vgpreload_core--linux.so
subdir = coregrind
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES = link_tool_exe_linux link_tool_exe_darwin \
	link_tool_exe_aix5
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(bindir)"
LIBRARIES = $(pkglib_LIBRARIES)
ARFLAGS = cru
libcoregrind_arm_linux_a_AR = $(AR) $(ARFLAGS)
libcoregrind_arm_linux_a_LIBADD =
am__objects_1 = libcoregrind_arm_linux_a-m_commandline.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_clientstate.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_cpuid.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_debugger.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_debuglog.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_errormgr.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_execontext.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_hashtable.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_libcbase.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_libcassert.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_libcfile.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_libcprint.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_libcproc.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_libcsignal.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_machine.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_main.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_mallocfree.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_options.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_oset.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_redir.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_seqmatch.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_signals.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_sparsewa.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_stacks.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_stacktrace.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_syscall.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_threadstate.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_tooliface.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_trampoline.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_translate.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_transtab.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_vki.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_vkiscnums.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_wordfm.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_xarray.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_aspacehl.$(OBJEXT) \
	libcoregrind_arm_linux_a-aspacemgr-common.$(OBJEXT) \
	libcoregrind_arm_linux_a-aspacemgr-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-aspacemgr-aix5.$(OBJEXT) \
	libcoregrind_arm_linux_a-coredump-elf.$(OBJEXT) \
	libcoregrind_arm_linux_a-coredump-macho.$(OBJEXT) \
	libcoregrind_arm_linux_a-coredump-xcoff.$(OBJEXT) \
	libcoregrind_arm_linux_a-misc.$(OBJEXT) \
	libcoregrind_arm_linux_a-d3basics.$(OBJEXT) \
	libcoregrind_arm_linux_a-debuginfo.$(OBJEXT) \
	libcoregrind_arm_linux_a-readdwarf.$(OBJEXT) \
	libcoregrind_arm_linux_a-readdwarf3.$(OBJEXT) \
	libcoregrind_arm_linux_a-readelf.$(OBJEXT) \
	libcoregrind_arm_linux_a-readmacho.$(OBJEXT) \
	libcoregrind_arm_linux_a-readpdb.$(OBJEXT) \
	libcoregrind_arm_linux_a-readstabs.$(OBJEXT) \
	libcoregrind_arm_linux_a-readxcoff.$(OBJEXT) \
	libcoregrind_arm_linux_a-storage.$(OBJEXT) \
	libcoregrind_arm_linux_a-tytypes.$(OBJEXT) \
	libcoregrind_arm_linux_a-cp-demangle.$(OBJEXT) \
	libcoregrind_arm_linux_a-cplus-dem.$(OBJEXT) \
	libcoregrind_arm_linux_a-demangle.$(OBJEXT) \
	libcoregrind_arm_linux_a-dyn-string.$(OBJEXT) \
	libcoregrind_arm_linux_a-safe-ctype.$(OBJEXT) \
	libcoregrind_arm_linux_a-dispatch-x86-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-dispatch-amd64-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-dispatch-ppc32-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-dispatch-ppc64-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-dispatch-arm-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-dispatch-ppc32-aix5.$(OBJEXT) \
	libcoregrind_arm_linux_a-dispatch-ppc64-aix5.$(OBJEXT) \
	libcoregrind_arm_linux_a-dispatch-x86-darwin.$(OBJEXT) \
	libcoregrind_arm_linux_a-dispatch-amd64-darwin.$(OBJEXT) \
	libcoregrind_arm_linux_a-initimg-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-initimg-aix5.$(OBJEXT) \
	libcoregrind_arm_linux_a-initimg-darwin.$(OBJEXT) \
	libcoregrind_arm_linux_a-initimg-pathscan.$(OBJEXT) \
	libcoregrind_arm_linux_a-mach_basics.$(OBJEXT) \
	libcoregrind_arm_linux_a-mach_msg.$(OBJEXT) \
	libcoregrind_arm_linux_a-mach_traps-x86-darwin.$(OBJEXT) \
	libcoregrind_arm_linux_a-mach_traps-amd64-darwin.$(OBJEXT) \
	libcoregrind_arm_linux_a-replacemalloc_core.$(OBJEXT) \
	libcoregrind_arm_linux_a-scheduler.$(OBJEXT) \
	libcoregrind_arm_linux_a-sema.$(OBJEXT) \
	libcoregrind_arm_linux_a-sigframe-x86-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-sigframe-amd64-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-sigframe-ppc32-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-sigframe-ppc64-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-sigframe-arm-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-sigframe-ppc32-aix5.$(OBJEXT) \
	libcoregrind_arm_linux_a-sigframe-ppc64-aix5.$(OBJEXT) \
	libcoregrind_arm_linux_a-sigframe-x86-darwin.$(OBJEXT) \
	libcoregrind_arm_linux_a-sigframe-amd64-darwin.$(OBJEXT) \
	libcoregrind_arm_linux_a-syscall-x86-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-syscall-amd64-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-syscall-ppc32-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-syscall-ppc64-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-syscall-arm-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-syscall-ppc32-aix5.$(OBJEXT) \
	libcoregrind_arm_linux_a-syscall-ppc64-aix5.$(OBJEXT) \
	libcoregrind_arm_linux_a-syscall-x86-darwin.$(OBJEXT) \
	libcoregrind_arm_linux_a-syscall-amd64-darwin.$(OBJEXT) \
	libcoregrind_arm_linux_a-syswrap-main.$(OBJEXT) \
	libcoregrind_arm_linux_a-syswrap-generic.$(OBJEXT) \
	libcoregrind_arm_linux_a-syswrap-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-syswrap-linux-variants.$(OBJEXT) \
	libcoregrind_arm_linux_a-syswrap-aix5.$(OBJEXT) \
	libcoregrind_arm_linux_a-syswrap-darwin.$(OBJEXT) \
	libcoregrind_arm_linux_a-syswrap-x86-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-syswrap-amd64-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-syswrap-ppc32-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-syswrap-ppc64-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-syswrap-arm-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-syswrap-ppc32-aix5.$(OBJEXT) \
	libcoregrind_arm_linux_a-syswrap-ppc64-aix5.$(OBJEXT) \
	libcoregrind_arm_linux_a-syswrap-x86-darwin.$(OBJEXT) \
	libcoregrind_arm_linux_a-syswrap-amd64-darwin.$(OBJEXT) \
	libcoregrind_arm_linux_a-elf.$(OBJEXT) \
	libcoregrind_arm_linux_a-macho.$(OBJEXT) \
	libcoregrind_arm_linux_a-main.$(OBJEXT) \
	libcoregrind_arm_linux_a-script.$(OBJEXT)
am_libcoregrind_arm_linux_a_OBJECTS =  \
	$(am__objects_1)
#am__objects_2 = libcoregrind_arm_linux_a-mach_vmUser.$(OBJEXT) \
#	libcoregrind_arm_linux_a-taskUser.$(OBJEXT) \
#	libcoregrind_arm_linux_a-thread_actUser.$(OBJEXT) \
#	libcoregrind_arm_linux_a-vm_mapUser.$(OBJEXT)
am__objects_3 = $(am__objects_2)
am__objects_4 = $(am__objects_3)
nodist_libcoregrind_arm_linux_a_OBJECTS =  \
	$(am__objects_4)
libcoregrind_arm_linux_a_OBJECTS =  \
	$(am_libcoregrind_arm_linux_a_OBJECTS) \
	$(nodist_libcoregrind_arm_linux_a_OBJECTS)
libcoregrind__linux_a_AR = $(AR) $(ARFLAGS)
libcoregrind__linux_a_LIBADD =
am__libcoregrind__linux_a_SOURCES_DIST =  \
	m_commandline.c m_clientstate.c m_cpuid.S m_debugger.c \
	m_debuglog.c m_errormgr.c m_execontext.c m_hashtable.c \
	m_libcbase.c m_libcassert.c m_libcfile.c m_libcprint.c \
	m_libcproc.c m_libcsignal.c m_machine.c m_main.c \
	m_mallocfree.c m_options.c m_oset.c m_redir.c m_seqmatch.c \
	m_signals.c m_sparsewa.c m_stacks.c m_stacktrace.c m_syscall.c \
	m_threadstate.c m_tooliface.c m_trampoline.S m_translate.c \
	m_transtab.c m_vki.c m_vkiscnums.c m_wordfm.c m_xarray.c \
	m_aspacehl.c m_aspacemgr/aspacemgr-common.c \
	m_aspacemgr/aspacemgr-linux.c m_aspacemgr/aspacemgr-aix5.c \
	m_coredump/coredump-elf.c m_coredump/coredump-macho.c \
	m_coredump/coredump-xcoff.c m_debuginfo/misc.c \
	m_debuginfo/d3basics.c m_debuginfo/debuginfo.c \
	m_debuginfo/readdwarf.c m_debuginfo/readdwarf3.c \
	m_debuginfo/readelf.c m_debuginfo/readmacho.c \

=== docs/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# docs/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/valgrind
pkgincludedir = $(includedir)/valgrind
pkglibdir = $(libdir)/valgrind
pkglibexecdir = $(libexecdir)/valgrind
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
subdir = docs
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/lm/valgrind-3.6.0/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/lm/valgrind-3.6.0/missing --run tar
AR = /scratchbox/compilers/bin/ar
AUTOCONF = ${SHELL} /home/lm/valgrind-3.6.0/missing --run autoconf
AUTOHEADER = ${SHELL} /home/lm/valgrind-3.6.0/missing --run autoheader
AUTOMAKE = ${SHELL} /home/lm/valgrind-3.6.0/missing --run automake-1.11
AWK = gawk
BOOST_CFLAGS = 
BOOST_LIBS = 
CC = gcc
CCAS = gcc
CCASDEPMODE = depmode=gcc3
CCASFLAGS = -Wno-long-long 
CCDEPMODE = depmode=gcc3
CFLAGS = -Wno-long-long 
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFAULT_SUPP = exp-ptrcheck.supp xfree-3.supp xfree-4.supp glibc-2.X-drd.supp glibc-2.34567-NPTL-helgrind.supp glibc-2.4.supp 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DIFF = diff -u
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
FLAG_FNO_STACK_PROTECTOR = 
FLAG_M32 = 
FLAG_M64 = 
FLAG_MAIX32 = 
FLAG_MAIX64 = 
FLAG_MMMX = 
FLAG_MSSE = 
FLAG_NO_BUILD_ID = 
FLAG_UNLIMITED_INLINE_UNIT_GROWTH = --param inline-unit-growth=900
FLAG_W_EXTRA = -Wextra
FLAG_W_NO_EMPTY_BODY = 
FLAG_W_NO_FORMAT_ZERO_LENGTH = -Wno-format-zero-length
FLAG_W_NO_UNINITIALIZED = -Wno-uninitialized
GDB = /targets/links/arch_tools/bin/gdb
GLIBC_VERSION = 2.4
GREP = /scratchbox/tools/bin/grep
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /home/lm/valgrind-3.6.0/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
MPI_CC = mpicc
OBJEXT = o
PACKAGE = valgrind
PACKAGE_BUGREPORT = valgrind-users@lists.sourceforge.net
PACKAGE_NAME = Valgrind
PACKAGE_STRING = Valgrind 3.6.0
PACKAGE_TARNAME = valgrind
PACKAGE_URL = 
PACKAGE_VERSION = 3.6.0
PATH_SEPARATOR = :
PERL = /scratchbox/tools/bin/perl
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
PREFERRED_STACK_BOUNDARY = 
QTCORE_CFLAGS = -DQT_SHARED -I/usr/include/qt4 -I/usr/include/qt4/QtCore  
QTCORE_LIBS = -lQtCore  
RANLIB = ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VALT_LOAD_ADDRESS_PRI = 0x38000000
VALT_LOAD_ADDRESS_SEC = 0xUNSET
VERSION = 3.6.0
VGCONF_ARCH_PRI = arm
VGCONF_ARCH_SEC = 
VGCONF_OS = linux
VGCONF_PLATFORM_PRI_CAPS = ARM_LINUX
VGCONF_PLATFORM_SEC_CAPS = 
abs_builddir = /home/lm/valgrind-3.6.0/docs
abs_srcdir = /home/lm/valgrind-3.6.0/docs
abs_top_builddir = /home/lm/valgrind-3.6.0
abs_top_srcdir = /home/lm/valgrind-3.6.0
ac_ct_CC = gcc
ac_ct_CXX = g++
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = 
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/lm/valgrind-3.6.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = /usr/share/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..

# Comment out the next line to skip building print docs.  The default
# is not to skip building print docs.  Note, after changing it
# you of course need to re-run configure to make it take effect.
BUILD_ALL_DOCS = yes
EXTRA_DIST = \
	README \
	images/home.png \
	images/next.png \
	images/prev.png \
	images/up.png \
	internals/3_0_BUGSTATUS.txt \
	internals/3_1_BUGSTATUS.txt \
	internals/3_2_BUGSTATUS.txt \
	internals/3_3_BUGSTATUS.txt \
	internals/3_4_BUGSTATUS.txt \
	internals/3_5_BUGSTATUS.txt \
	internals/BIG_APP_NOTES.txt \
	internals/Darwin-notes.txt \
	internals/directory-structure.txt \
	internals/howto_BUILD_KDE42.txt \
	internals/howto_oprofile.txt \
	internals/m_replacemalloc.txt \
	internals/m_syswrap.txt \
	internals/module-structure.txt \
	internals/notes.txt \
	internals/porting-HOWTO.txt \
	internals/mpi2entries.txt \
	internals/porting-to-ARM.txt \
	internals/register-uses.txt \
	internals/release-HOWTO.txt \
	internals/segments-seginfos.txt \
	internals/threads-syscalls-signals.txt \
	internals/tm-mutexstates.dot \
	internals/tm-threadstates.dot \
	internals/tracking-fn-entry-exit.txt \
	internals/why-no-libc.txt \
	internals/xml-output.txt \
	internals/xml-output-protocol4.txt \
	lib/line-wrap.xsl \
	lib/vg_basic.css \
	lib/vg-fo.xsl \
	lib/vg-faq2txt.xsl \
	lib/vg-html-chunk.xsl \
	lib/vg-html-website.xsl \
	lib/vg-html-common.xsl \
	xml/FAQ.xml \
	xml/dist-docs.xml \
	xml/index.xml \
	xml/licenses.xml \
	xml/manpages-index.xml \
	xml/manual.xml \
	xml/manual-intro.xml \
	xml/manual-core.xml \
	xml/manual-core-adv.xml \
	xml/manual-writing-tools.xml \
	xml/design-impl.xml \
	xml/quick-start-guide.xml \
	xml/tech-docs.xml \
	xml/valgrind-manpage.xml \
	xml/vg-entities.xml \
	xml/xml_help.txt

myxmldir = $(top_srcdir)/docs/xml
myimgdir = $(top_srcdir)/docs/images
mylibdir = $(top_srcdir)/docs/lib
myhtmldir = $(top_builddir)/docs/html
myprintdir = $(top_builddir)/docs/print
websitedir = $(top_builddir)/docs/website
valkyriedir = $(top_builddir)/docs/vg-html
downloadsdir = $(top_builddir)/docs/downloads
vgdir = $(top_builddir)/docs/valgrind
XML_CATALOG_FILES = /etc/xml/catalog

# file to log print output to
LOGFILE = print.log

# validation stuff
XMLLINT = xmllint
LINT_FLAGS = --noblanks --noout --xinclude --postvalid --noent
# validate with docbook 4.3 'cos it supports xml:base natively
VALID_FLAGS = --dtdvalid http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd 
XMLLINT_FLAGS = $(LINT_FLAGS) $(VALID_FLAGS)

# stylesheet processor
XSLTPROC = xsltproc
XSLTPROC_FLAGS = --nonet --xinclude

# stylesheets
XSL_HTML_CHUNK_STYLE = $(mylibdir)/vg-html-chunk.xsl
XSL_FO_STYLE = $(mylibdir)/vg-fo.xsl
XSL_TEXT_STYLE = $(mylibdir)/vg-faq2txt.xsl
XSL_WEBSITE_STYLE = $(mylibdir)/vg-html-website.xsl
XSL_MAN_STYLES = \
    /usr/share/xml/docbook/stylesheet/nwalsh/current/manpages/docbook.xsl \
    /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign docs/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign docs/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
	$(MAKE) $(AM_MAKEFLAGS) \
	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
	  dist-hook
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am

=== drd/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# drd/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# This file should be included (directly or indirectly) by every
# Makefile.am that builds programs.  And also the top-level Makefile.am.

#----------------------------------------------------------------------------
# Global stuff
#----------------------------------------------------------------------------



pkgdatadir = $(datadir)/valgrind
pkgincludedir = $(includedir)/valgrind
pkglibdir = $(libdir)/valgrind
pkglibexecdir = $(libexecdir)/valgrind
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
DIST_COMMON = $(noinst_HEADERS) $(pkginclude_HEADERS) \
	$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(top_srcdir)/Makefile.all.am $(top_srcdir)/Makefile.tool.am
noinst_PROGRAMS = drd-arm-linux$(EXEEXT) \
	$(am__EXEEXT_1) \
	vgpreload_drd-arm-linux.so$(EXEEXT) \
	$(am__EXEEXT_2)
#am__append_1 = drd--linux
drd__linux_DEPENDENCIES =
#am__append_2 = vgpreload_drd--linux.so
subdir = drd
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
#am__EXEEXT_1 = drd--linux$(EXEEXT)
#am__EXEEXT_2 = vgpreload_drd--linux.so$(EXEEXT)
PROGRAMS = $(noinst_PROGRAMS)
am__objects_1 =  \
	drd_arm_linux-drd_barrier.$(OBJEXT) \
	drd_arm_linux-drd_bitmap2_node.$(OBJEXT) \
	drd_arm_linux-drd_clientobj.$(OBJEXT) \
	drd_arm_linux-drd_clientreq.$(OBJEXT) \
	drd_arm_linux-drd_cond.$(OBJEXT) \
	drd_arm_linux-drd_cond_initializer.$(OBJEXT) \
	drd_arm_linux-drd_error.$(OBJEXT) \
	drd_arm_linux-drd_hb.$(OBJEXT) \
	drd_arm_linux-drd_load_store.$(OBJEXT) \
	drd_arm_linux-drd_main.$(OBJEXT) \
	drd_arm_linux-drd_malloc_wrappers.$(OBJEXT) \
	drd_arm_linux-drd_mutex.$(OBJEXT) \
	drd_arm_linux-drd_rwlock.$(OBJEXT) \
	drd_arm_linux-drd_semaphore.$(OBJEXT) \
	drd_arm_linux-drd_suppression.$(OBJEXT)
am_drd_arm_linux_OBJECTS = $(am__objects_1)
drd_arm_linux_OBJECTS =  \
	$(am_drd_arm_linux_OBJECTS)
am__drd__linux_SOURCES_DIST = drd_barrier.c \
	drd_bitmap2_node.c drd_clientobj.c drd_clientreq.c drd_cond.c \
	drd_cond_initializer.c drd_error.c drd_hb.c drd_load_store.c \
	drd_main.c drd_malloc_wrappers.c drd_mutex.c drd_rwlock.c \
	drd_semaphore.c drd_suppression.c
am__objects_2 =  \
	drd__linux-drd_barrier.$(OBJEXT) \
	drd__linux-drd_bitmap2_node.$(OBJEXT) \
	drd__linux-drd_clientobj.$(OBJEXT) \
	drd__linux-drd_clientreq.$(OBJEXT) \
	drd__linux-drd_cond.$(OBJEXT) \
	drd__linux-drd_cond_initializer.$(OBJEXT) \
	drd__linux-drd_error.$(OBJEXT) \
	drd__linux-drd_hb.$(OBJEXT) \
	drd__linux-drd_load_store.$(OBJEXT) \
	drd__linux-drd_main.$(OBJEXT) \
	drd__linux-drd_malloc_wrappers.$(OBJEXT) \
	drd__linux-drd_mutex.$(OBJEXT) \
	drd__linux-drd_rwlock.$(OBJEXT) \
	drd__linux-drd_semaphore.$(OBJEXT) \
	drd__linux-drd_suppression.$(OBJEXT)
#am_drd__linux_OBJECTS =  \
#	$(am__objects_2)
drd__linux_OBJECTS =  \
	$(am_drd__linux_OBJECTS)
am__objects_3 = vgpreload_drd_arm_linux_so-drd_pthread_intercepts.$(OBJEXT) \
	vgpreload_drd_arm_linux_so-drd_qtcore_intercepts.$(OBJEXT) \
	vgpreload_drd_arm_linux_so-drd_strmem_intercepts.$(OBJEXT)
am_vgpreload_drd_arm_linux_so_OBJECTS =  \
	$(am__objects_3)
vgpreload_drd_arm_linux_so_OBJECTS =  \
	$(am_vgpreload_drd_arm_linux_so_OBJECTS)
vgpreload_drd_arm_linux_so_LDADD = $(LDADD)
vgpreload_drd_arm_linux_so_LINK = $(CCLD) \
	$(vgpreload_drd_arm_linux_so_CFLAGS) \
	$(CFLAGS) \
	$(vgpreload_drd_arm_linux_so_LDFLAGS) \
	$(LDFLAGS) -o $@
am__vgpreload_drd__linux_so_SOURCES_DIST =  \
	drd_pthread_intercepts.c drd_qtcore_intercepts.c \
	drd_strmem_intercepts.c
am__objects_4 = vgpreload_drd__linux_so-drd_pthread_intercepts.$(OBJEXT) \
	vgpreload_drd__linux_so-drd_qtcore_intercepts.$(OBJEXT) \
	vgpreload_drd__linux_so-drd_strmem_intercepts.$(OBJEXT)
#am_vgpreload_drd__linux_so_OBJECTS =  \
#	$(am__objects_4)
vgpreload_drd__linux_so_OBJECTS =  \
	$(am_vgpreload_drd__linux_so_OBJECTS)
vgpreload_drd__linux_so_LDADD = $(LDADD)
vgpreload_drd__linux_so_LINK = $(CCLD) \
	$(vgpreload_drd__linux_so_CFLAGS) \
	$(CFLAGS) \
	$(vgpreload_drd__linux_so_LDFLAGS) \
	$(LDFLAGS) -o $@
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(drd_arm_linux_SOURCES) \
	$(drd__linux_SOURCES) \
	$(vgpreload_drd_arm_linux_so_SOURCES) \
	$(vgpreload_drd__linux_so_SOURCES)
DIST_SOURCES = $(drd_arm_linux_SOURCES) \
	$(am__drd__linux_SOURCES_DIST) \
	$(vgpreload_drd_arm_linux_so_SOURCES) \
	$(am__vgpreload_drd__linux_so_SOURCES_DIST)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(pkgincludedir)"
HEADERS = $(noinst_HEADERS) $(pkginclude_HEADERS)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = ${SHELL} /home/lm/valgrind-3.6.0/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/lm/valgrind-3.6.0/missing --run tar
AR = /scratchbox/compilers/bin/ar
AUTOCONF = ${SHELL} /home/lm/valgrind-3.6.0/missing --run autoconf
AUTOHEADER = ${SHELL} /home/lm/valgrind-3.6.0/missing --run autoheader
AUTOMAKE = ${SHELL} /home/lm/valgrind-3.6.0/missing --run automake-1.11
AWK = gawk
BOOST_CFLAGS = 
BOOST_LIBS = 
CC = gcc
CCAS = gcc
CCASDEPMODE = depmode=gcc3
CCASFLAGS = -Wno-long-long 
CCDEPMODE = depmode=gcc3
CFLAGS = -Wno-long-long 
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFAULT_SUPP = exp-ptrcheck.supp xfree-3.supp xfree-4.supp glibc-2.X-drd.supp glibc-2.34567-NPTL-helgrind.supp glibc-2.4.supp 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DIFF = diff -u
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
FLAG_FNO_STACK_PROTECTOR = 
FLAG_M32 = 
FLAG_M64 = 
FLAG_MAIX32 = 
FLAG_MAIX64 = 
FLAG_MMMX = 
FLAG_MSSE = 
FLAG_NO_BUILD_ID = 
FLAG_UNLIMITED_INLINE_UNIT_GROWTH = --param inline-unit-growth=900
FLAG_W_EXTRA = -Wextra
FLAG_W_NO_EMPTY_BODY = 
FLAG_W_NO_FORMAT_ZERO_LENGTH = -Wno-format-zero-length
FLAG_W_NO_UNINITIALIZED = -Wno-uninitialized
GDB = /targets/links/arch_tools/bin/gdb
GLIBC_VERSION = 2.4
GREP = /scratchbox/tools/bin/grep
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /home/lm/valgrind-3.6.0/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
MPI_CC = mpicc
OBJEXT = o
PACKAGE = valgrind
PACKAGE_BUGREPORT = valgrind-users@lists.sourceforge.net
PACKAGE_NAME = Valgrind
PACKAGE_STRING = Valgrind 3.6.0
PACKAGE_TARNAME = valgrind
PACKAGE_URL = 
PACKAGE_VERSION = 3.6.0
PATH_SEPARATOR = :
PERL = /scratchbox/tools/bin/perl
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
PREFERRED_STACK_BOUNDARY = 
QTCORE_CFLAGS = -DQT_SHARED -I/usr/include/qt4 -I/usr/include/qt4/QtCore  
QTCORE_LIBS = -lQtCore  
RANLIB = ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VALT_LOAD_ADDRESS_PRI = 0x38000000
VALT_LOAD_ADDRESS_SEC = 0xUNSET
VERSION = 3.6.0
VGCONF_ARCH_PRI = arm
VGCONF_ARCH_SEC = 
VGCONF_OS = linux
VGCONF_PLATFORM_PRI_CAPS = ARM_LINUX
VGCONF_PLATFORM_SEC_CAPS = 
abs_builddir = /home/lm/valgrind-3.6.0/drd
abs_srcdir = /home/lm/valgrind-3.6.0/drd
abs_top_builddir = /home/lm/valgrind-3.6.0
abs_top_srcdir = /home/lm/valgrind-3.6.0
ac_ct_CC = gcc
ac_ct_CXX = g++
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = 
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/lm/valgrind-3.6.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = /usr/share/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}

=== exp-bbv/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# exp-bbv/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# This file should be included (directly or indirectly) by every
# Makefile.am that builds programs.  And also the top-level Makefile.am.

#----------------------------------------------------------------------------
# Global stuff
#----------------------------------------------------------------------------


pkgdatadir = $(datadir)/valgrind
pkgincludedir = $(includedir)/valgrind
pkglibdir = $(libdir)/valgrind
pkglibexecdir = $(libexecdir)/valgrind
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(top_srcdir)/Makefile.all.am $(top_srcdir)/Makefile.tool.am
noinst_PROGRAMS = exp-bbv-arm-linux$(EXEEXT) \
	$(am__EXEEXT_1)
#am__append_1 = exp-bbv--linux
exp_bbv__linux_DEPENDENCIES =
subdir = exp-bbv
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
#am__EXEEXT_1 = exp-bbv--linux$(EXEEXT)
PROGRAMS = $(noinst_PROGRAMS)
am__objects_1 =  \
	exp_bbv_arm_linux-bbv_main.$(OBJEXT)
am_exp_bbv_arm_linux_OBJECTS = $(am__objects_1)
exp_bbv_arm_linux_OBJECTS =  \
	$(am_exp_bbv_arm_linux_OBJECTS)
am__exp_bbv__linux_SOURCES_DIST = bbv_main.c
am__objects_2 =  \
	exp_bbv__linux-bbv_main.$(OBJEXT)
#am_exp_bbv__linux_OBJECTS =  \
#	$(am__objects_2)
exp_bbv__linux_OBJECTS =  \
	$(am_exp_bbv__linux_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(exp_bbv_arm_linux_SOURCES) \
	$(exp_bbv__linux_SOURCES)
DIST_SOURCES = $(exp_bbv_arm_linux_SOURCES) \
	$(am__exp_bbv__linux_SOURCES_DIST)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = ${SHELL} /home/lm/valgrind-3.6.0/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/lm/valgrind-3.6.0/missing --run tar
AR = /scratchbox/compilers/bin/ar
AUTOCONF = ${SHELL} /home/lm/valgrind-3.6.0/missing --run autoconf
AUTOHEADER = ${SHELL} /home/lm/valgrind-3.6.0/missing --run autoheader
AUTOMAKE = ${SHELL} /home/lm/valgrind-3.6.0/missing --run automake-1.11
AWK = gawk
BOOST_CFLAGS = 
BOOST_LIBS = 
CC = gcc
CCAS = gcc
CCASDEPMODE = depmode=gcc3
CCASFLAGS = -Wno-long-long 
CCDEPMODE = depmode=gcc3
CFLAGS = -Wno-long-long 
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFAULT_SUPP = exp-ptrcheck.supp xfree-3.supp xfree-4.supp glibc-2.X-drd.supp glibc-2.34567-NPTL-helgrind.supp glibc-2.4.supp 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DIFF = diff -u
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
FLAG_FNO_STACK_PROTECTOR = 
FLAG_M32 = 
FLAG_M64 = 
FLAG_MAIX32 = 
FLAG_MAIX64 = 
FLAG_MMMX = 
FLAG_MSSE = 
FLAG_NO_BUILD_ID = 
FLAG_UNLIMITED_INLINE_UNIT_GROWTH = --param inline-unit-growth=900
FLAG_W_EXTRA = -Wextra
FLAG_W_NO_EMPTY_BODY = 
FLAG_W_NO_FORMAT_ZERO_LENGTH = -Wno-format-zero-length
FLAG_W_NO_UNINITIALIZED = -Wno-uninitialized
GDB = /targets/links/arch_tools/bin/gdb
GLIBC_VERSION = 2.4
GREP = /scratchbox/tools/bin/grep
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /home/lm/valgrind-3.6.0/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
MPI_CC = mpicc
OBJEXT = o
PACKAGE = valgrind
PACKAGE_BUGREPORT = valgrind-users@lists.sourceforge.net
PACKAGE_NAME = Valgrind
PACKAGE_STRING = Valgrind 3.6.0
PACKAGE_TARNAME = valgrind
PACKAGE_URL = 
PACKAGE_VERSION = 3.6.0
PATH_SEPARATOR = :
PERL = /scratchbox/tools/bin/perl
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
PREFERRED_STACK_BOUNDARY = 
QTCORE_CFLAGS = -DQT_SHARED -I/usr/include/qt4 -I/usr/include/qt4/QtCore  
QTCORE_LIBS = -lQtCore  
RANLIB = ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VALT_LOAD_ADDRESS_PRI = 0x38000000
VALT_LOAD_ADDRESS_SEC = 0xUNSET
VERSION = 3.6.0
VGCONF_ARCH_PRI = arm
VGCONF_ARCH_SEC = 
VGCONF_OS = linux
VGCONF_PLATFORM_PRI_CAPS = ARM_LINUX
VGCONF_PLATFORM_SEC_CAPS = 
abs_builddir = /home/lm/valgrind-3.6.0/exp-bbv
abs_srcdir = /home/lm/valgrind-3.6.0/exp-bbv
abs_top_builddir = /home/lm/valgrind-3.6.0
abs_top_srcdir = /home/lm/valgrind-3.6.0
ac_ct_CC = gcc
ac_ct_CXX = g++
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = 
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/lm/valgrind-3.6.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = /usr/share/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
SUBDIRS = . tests
inplacedir = $(top_builddir)/.in_place

#----------------------------------------------------------------------------
# Flags
#----------------------------------------------------------------------------

# Baseline flags for all compilations.  Aim here is to maximise
# performance and get whatever useful warnings we can out of gcc.
AM_CFLAGS_BASE = \
	-O2 -g \
	-Wall \
	-Wmissing-prototypes \
	-Wshadow \
	-Wpointer-arith \
	-Wstrict-prototypes \
	-Wmissing-declarations \
	-Wno-format-zero-length \
	-fno-strict-aliasing

AM_CFLAGS_PIC = -fpic -O -g -fno-omit-frame-pointer -fno-strict-aliasing

# These flags are used for building the preload shared objects.
# The aim is to give reasonable performance but also to have good
# stack traces, since users often see stack traces extending 
# into (and through) the preloads.
#AM_CFLAGS_PIC = -dynamic -O -g -fno-omit-frame-pointer -fno-strict-aliasing \
#		-mno-dynamic-no-pic -fpic -fPIC


# Flags for specific targets.
#
# Nb: the AM_CPPFLAGS_* values are suitable for building tools and auxprogs.
# For building the core, coregrind/Makefile.am files add some extra things.
#
# Also: in newer versions of automake (1.10 onwards?) asm files ending with
# '.S' are considered "pre-processed" (as opposed to those ending in '.s')
# and so the CPPFLAGS are passed to the assembler.  But this is not true for
# older automakes (e.g. 1.8.5, 1.9.6), sigh.  So we include
# AM_CPPFLAGS_<PLATFORM> in each AM_CCASFLAGS_<PLATFORM> variable.  This
# means some of the flags are duplicated on systems with newer versions of
# automake, but this does not really matter and seems hard to avoid.
AM_CPPFLAGS_ARM_LINUX = \
	-I$(top_srcdir) \
	-I$(top_srcdir)/include \
	-I$(top_srcdir)/VEX/pub \
	-DVGA_arm=1 \
	-DVGO_linux=1 \
	-DVGP_arm_linux=1

#AM_CPPFLAGS_ = \
#	-I$(top_srcdir) \
#	-I$(top_srcdir)/include \
#	-I$(top_srcdir)/VEX/pub \
#	-DVGA_=1 \
#	-DVGO_linux=1 \
#	-DVGP__linux=1

AM_FLAG_M3264_X86_LINUX = 
AM_CFLAGS_X86_LINUX =   \
			 	$(AM_CFLAGS_BASE)

AM_CCASFLAGS_X86_LINUX = $(AM_CPPFLAGS_X86_LINUX)  -g
AM_FLAG_M3264_AMD64_LINUX = 
AM_CFLAGS_AMD64_LINUX =  -fomit-frame-pointer \
				 $(AM_CFLAGS_BASE)

AM_CCASFLAGS_AMD64_LINUX = $(AM_CPPFLAGS_AMD64_LINUX)  -g
AM_FLAG_M3264_PPC32_LINUX = 
AM_CFLAGS_PPC32_LINUX =  $(AM_CFLAGS_BASE)
AM_CCASFLAGS_PPC32_LINUX = $(AM_CPPFLAGS_PPC32_LINUX)  -g
AM_FLAG_M3264_PPC64_LINUX = 
AM_CFLAGS_PPC64_LINUX =  $(AM_CFLAGS_BASE)
AM_CCASFLAGS_PPC64_LINUX = $(AM_CPPFLAGS_PPC64_LINUX)  -g
AM_FLAG_M3264_ARM_LINUX = 
AM_CFLAGS_ARM_LINUX =   \
			 	$(AM_CFLAGS_BASE) -marm

AM_CCASFLAGS_ARM_LINUX = $(AM_CPPFLAGS_ARM_LINUX)  -marm -g
AM_FLAG_M3264_PPC32_AIX5 = 
AM_CFLAGS_PPC32_AIX5 =  -mcpu=powerpc $(AM_CFLAGS_BASE)
AM_CCASFLAGS_PPC32_AIX5 = $(AM_CPPFLAGS_PPC32_AIX5) \
			     -mcpu=powerpc -g

AM_FLAG_M3264_PPC64_AIX5 = 
AM_CFLAGS_PPC64_AIX5 =  -mcpu=powerpc64 $(AM_CFLAGS_BASE)
AM_CCASFLAGS_PPC64_AIX5 = $(AM_CPPFLAGS_PPC64_AIX5) \
			     -mcpu=powerpc64 -g

AM_FLAG_M3264_X86_DARWIN = -arch i386
AM_CFLAGS_X86_DARWIN = $(WERROR) -arch i386 $(AM_CFLAGS_BASE) \
				-mmacosx-version-min=10.5 \
				-fno-stack-protector -fno-pic -fno-PIC

AM_CCASFLAGS_X86_DARWIN = $(AM_CPPFLAGS_X86_DARWIN) -arch i386 -g
AM_FLAG_M3264_AMD64_DARWIN = -arch x86_64
AM_CFLAGS_AMD64_DARWIN = $(WERROR) -arch x86_64 $(AM_CFLAGS_BASE) \
			    -mmacosx-version-min=10.5 -fno-stack-protector

AM_CCASFLAGS_AMD64_DARWIN = $(AM_CPPFLAGS_AMD64_DARWIN) -arch x86_64 -g

# Flags for the primary target.  These must be used to build the
# regtests and performance tests.  In fact, these must be used to

=== exp-dhat/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# exp-dhat/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# This file should be included (directly or indirectly) by every
# Makefile.am that builds programs.  And also the top-level Makefile.am.

#----------------------------------------------------------------------------
# Global stuff
#----------------------------------------------------------------------------


pkgdatadir = $(datadir)/valgrind
pkgincludedir = $(includedir)/valgrind
pkglibdir = $(libdir)/valgrind
pkglibexecdir = $(libexecdir)/valgrind
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(top_srcdir)/Makefile.all.am $(top_srcdir)/Makefile.tool.am
noinst_PROGRAMS = exp-dhat-arm-linux$(EXEEXT) \
	$(am__EXEEXT_1) \
	vgpreload_exp-dhat-arm-linux.so$(EXEEXT) \
	$(am__EXEEXT_2)
#am__append_1 = exp-dhat--linux
exp_dhat__linux_DEPENDENCIES =
#am__append_2 = vgpreload_exp-dhat--linux.so
subdir = exp-dhat
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
#am__EXEEXT_1 = exp-dhat--linux$(EXEEXT)
#am__EXEEXT_2 = vgpreload_exp-dhat--linux.so$(EXEEXT)
PROGRAMS = $(noinst_PROGRAMS)
am__objects_1 =  \
	exp_dhat_arm_linux-dh_main.$(OBJEXT)
am_exp_dhat_arm_linux_OBJECTS = $(am__objects_1)
exp_dhat_arm_linux_OBJECTS =  \
	$(am_exp_dhat_arm_linux_OBJECTS)
am__exp_dhat__linux_SOURCES_DIST = dh_main.c
am__objects_2 =  \
	exp_dhat__linux-dh_main.$(OBJEXT)
#am_exp_dhat__linux_OBJECTS =  \
#	$(am__objects_2)
exp_dhat__linux_OBJECTS =  \
	$(am_exp_dhat__linux_OBJECTS)
am_vgpreload_exp_dhat_arm_linux_so_OBJECTS =
vgpreload_exp_dhat_arm_linux_so_OBJECTS = $(am_vgpreload_exp_dhat_arm_linux_so_OBJECTS)
vgpreload_exp_dhat_arm_linux_so_LDADD = $(LDADD)
vgpreload_exp_dhat_arm_linux_so_LINK = $(CCLD) \
	$(vgpreload_exp_dhat_arm_linux_so_CFLAGS) \
	$(CFLAGS) \
	$(vgpreload_exp_dhat_arm_linux_so_LDFLAGS) \
	$(LDFLAGS) -o $@
am_vgpreload_exp_dhat__linux_so_OBJECTS =
vgpreload_exp_dhat__linux_so_OBJECTS = $(am_vgpreload_exp_dhat__linux_so_OBJECTS)
vgpreload_exp_dhat__linux_so_LDADD = $(LDADD)
vgpreload_exp_dhat__linux_so_LINK = $(CCLD) \
	$(vgpreload_exp_dhat__linux_so_CFLAGS) \
	$(CFLAGS) \
	$(vgpreload_exp_dhat__linux_so_LDFLAGS) \
	$(LDFLAGS) -o $@
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(exp_dhat_arm_linux_SOURCES) \
	$(exp_dhat__linux_SOURCES) \
	$(vgpreload_exp_dhat_arm_linux_so_SOURCES) \
	$(vgpreload_exp_dhat__linux_so_SOURCES)
DIST_SOURCES = $(exp_dhat_arm_linux_SOURCES) \
	$(am__exp_dhat__linux_SOURCES_DIST) \
	$(vgpreload_exp_dhat_arm_linux_so_SOURCES) \
	$(vgpreload_exp_dhat__linux_so_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = ${SHELL} /home/lm/valgrind-3.6.0/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/lm/valgrind-3.6.0/missing --run tar
AR = /scratchbox/compilers/bin/ar
AUTOCONF = ${SHELL} /home/lm/valgrind-3.6.0/missing --run autoconf
AUTOHEADER = ${SHELL} /home/lm/valgrind-3.6.0/missing --run autoheader
AUTOMAKE = ${SHELL} /home/lm/valgrind-3.6.0/missing --run automake-1.11
AWK = gawk
BOOST_CFLAGS = 
BOOST_LIBS = 
CC = gcc
CCAS = gcc
CCASDEPMODE = depmode=gcc3
CCASFLAGS = -Wno-long-long 
CCDEPMODE = depmode=gcc3
CFLAGS = -Wno-long-long 
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFAULT_SUPP = exp-ptrcheck.supp xfree-3.supp xfree-4.supp glibc-2.X-drd.supp glibc-2.34567-NPTL-helgrind.supp glibc-2.4.supp 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DIFF = diff -u
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
FLAG_FNO_STACK_PROTECTOR = 
FLAG_M32 = 
FLAG_M64 = 
FLAG_MAIX32 = 
FLAG_MAIX64 = 
FLAG_MMMX = 
FLAG_MSSE = 
FLAG_NO_BUILD_ID = 
FLAG_UNLIMITED_INLINE_UNIT_GROWTH = --param inline-unit-growth=900
FLAG_W_EXTRA = -Wextra
FLAG_W_NO_EMPTY_BODY = 
FLAG_W_NO_FORMAT_ZERO_LENGTH = -Wno-format-zero-length
FLAG_W_NO_UNINITIALIZED = -Wno-uninitialized
GDB = /targets/links/arch_tools/bin/gdb
GLIBC_VERSION = 2.4
GREP = /scratchbox/tools/bin/grep
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /home/lm/valgrind-3.6.0/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
MPI_CC = mpicc
OBJEXT = o
PACKAGE = valgrind
PACKAGE_BUGREPORT = valgrind-users@lists.sourceforge.net
PACKAGE_NAME = Valgrind
PACKAGE_STRING = Valgrind 3.6.0
PACKAGE_TARNAME = valgrind
PACKAGE_URL = 
PACKAGE_VERSION = 3.6.0
PATH_SEPARATOR = :
PERL = /scratchbox/tools/bin/perl
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
PREFERRED_STACK_BOUNDARY = 
QTCORE_CFLAGS = -DQT_SHARED -I/usr/include/qt4 -I/usr/include/qt4/QtCore  
QTCORE_LIBS = -lQtCore  
RANLIB = ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VALT_LOAD_ADDRESS_PRI = 0x38000000
VALT_LOAD_ADDRESS_SEC = 0xUNSET
VERSION = 3.6.0
VGCONF_ARCH_PRI = arm
VGCONF_ARCH_SEC = 
VGCONF_OS = linux
VGCONF_PLATFORM_PRI_CAPS = ARM_LINUX
VGCONF_PLATFORM_SEC_CAPS = 
abs_builddir = /home/lm/valgrind-3.6.0/exp-dhat
abs_srcdir = /home/lm/valgrind-3.6.0/exp-dhat
abs_top_builddir = /home/lm/valgrind-3.6.0
abs_top_srcdir = /home/lm/valgrind-3.6.0
ac_ct_CC = gcc
ac_ct_CXX = g++
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = 
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/lm/valgrind-3.6.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = /usr/share/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
SUBDIRS = . tests
inplacedir = $(top_builddir)/.in_place

#----------------------------------------------------------------------------
# Flags
#----------------------------------------------------------------------------

# Baseline flags for all compilations.  Aim here is to maximise
# performance and get whatever useful warnings we can out of gcc.
AM_CFLAGS_BASE = \
	-O2 -g \
	-Wall \
	-Wmissing-prototypes \
	-Wshadow \
	-Wpointer-arith \
	-Wstrict-prototypes \
	-Wmissing-declarations \
	-Wno-format-zero-length \
	-fno-strict-aliasing

AM_CFLAGS_PIC = -fpic -O -g -fno-omit-frame-pointer -fno-strict-aliasing

# These flags are used for building the preload shared objects.
# The aim is to give reasonable performance but also to have good
# stack traces, since users often see stack traces extending 
# into (and through) the preloads.
#AM_CFLAGS_PIC = -dynamic -O -g -fno-omit-frame-pointer -fno-strict-aliasing \
#		-mno-dynamic-no-pic -fpic -fPIC


# Flags for specific targets.
#
# Nb: the AM_CPPFLAGS_* values are suitable for building tools and auxprogs.
# For building the core, coregrind/Makefile.am files add some extra things.
#
# Also: in newer versions of automake (1.10 onwards?) asm files ending with
# '.S' are considered "pre-processed" (as opposed to those ending in '.s')
# and so the CPPFLAGS are passed to the assembler.  But this is not true for
# older automakes (e.g. 1.8.5, 1.9.6), sigh.  So we include
# AM_CPPFLAGS_<PLATFORM> in each AM_CCASFLAGS_<PLATFORM> variable.  This
# means some of the flags are duplicated on systems with newer versions of
# automake, but this does not really matter and seems hard to avoid.
AM_CPPFLAGS_ARM_LINUX = \
	-I$(top_srcdir) \
	-I$(top_srcdir)/include \
	-I$(top_srcdir)/VEX/pub \
	-DVGA_arm=1 \
	-DVGO_linux=1 \
	-DVGP_arm_linux=1

#AM_CPPFLAGS_ = \
#	-I$(top_srcdir) \
#	-I$(top_srcdir)/include \
#	-I$(top_srcdir)/VEX/pub \
#	-DVGA_=1 \
#	-DVGO_linux=1 \
#	-DVGP__linux=1

AM_FLAG_M3264_X86_LINUX = 
AM_CFLAGS_X86_LINUX =   \
			 	$(AM_CFLAGS_BASE)

AM_CCASFLAGS_X86_LINUX = $(AM_CPPFLAGS_X86_LINUX)  -g
AM_FLAG_M3264_AMD64_LINUX = 
AM_CFLAGS_AMD64_LINUX =  -fomit-frame-pointer \
				 $(AM_CFLAGS_BASE)

AM_CCASFLAGS_AMD64_LINUX = $(AM_CPPFLAGS_AMD64_LINUX)  -g
AM_FLAG_M3264_PPC32_LINUX = 
AM_CFLAGS_PPC32_LINUX =  $(AM_CFLAGS_BASE)
AM_CCASFLAGS_PPC32_LINUX = $(AM_CPPFLAGS_PPC32_LINUX)  -g
AM_FLAG_M3264_PPC64_LINUX = 
AM_CFLAGS_PPC64_LINUX =  $(AM_CFLAGS_BASE)
AM_CCASFLAGS_PPC64_LINUX = $(AM_CPPFLAGS_PPC64_LINUX)  -g
AM_FLAG_M3264_ARM_LINUX = 
AM_CFLAGS_ARM_LINUX =   \

=== exp-ptrcheck/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# exp-ptrcheck/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# This file should be included (directly or indirectly) by every
# Makefile.am that builds programs.  And also the top-level Makefile.am.

#----------------------------------------------------------------------------
# Global stuff
#----------------------------------------------------------------------------



pkgdatadir = $(datadir)/valgrind
pkgincludedir = $(includedir)/valgrind
pkglibdir = $(libdir)/valgrind
pkglibexecdir = $(libexecdir)/valgrind
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(top_srcdir)/Makefile.all.am \
	$(top_srcdir)/Makefile.tool.am
noinst_PROGRAMS = exp-ptrcheck-arm-linux$(EXEEXT) \
	$(am__EXEEXT_1) \
	vgpreload_exp-ptrcheck-arm-linux.so$(EXEEXT) \
	$(am__EXEEXT_2)
#am__append_1 = exp-ptrcheck--linux
exp_ptrcheck__linux_DEPENDENCIES =
#am__append_2 = vgpreload_exp-ptrcheck--linux.so
subdir = exp-ptrcheck
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
#am__EXEEXT_1 = exp-ptrcheck--linux$(EXEEXT)
#am__EXEEXT_2 = vgpreload_exp-ptrcheck--linux.so$(EXEEXT)
PROGRAMS = $(noinst_PROGRAMS)
am__objects_1 =  \
	exp_ptrcheck_arm_linux-h_main.$(OBJEXT) \
	exp_ptrcheck_arm_linux-pc_common.$(OBJEXT) \
	exp_ptrcheck_arm_linux-pc_main.$(OBJEXT) \
	exp_ptrcheck_arm_linux-sg_main.$(OBJEXT)
am_exp_ptrcheck_arm_linux_OBJECTS =  \
	$(am__objects_1)
exp_ptrcheck_arm_linux_OBJECTS =  \
	$(am_exp_ptrcheck_arm_linux_OBJECTS)
am__exp_ptrcheck__linux_SOURCES_DIST =  \
	h_main.c pc_common.c pc_main.c sg_main.c
am__objects_2 =  \
	exp_ptrcheck__linux-h_main.$(OBJEXT) \
	exp_ptrcheck__linux-pc_common.$(OBJEXT) \
	exp_ptrcheck__linux-pc_main.$(OBJEXT) \
	exp_ptrcheck__linux-sg_main.$(OBJEXT)
#am_exp_ptrcheck__linux_OBJECTS =  \
#	$(am__objects_2)
exp_ptrcheck__linux_OBJECTS =  \
	$(am_exp_ptrcheck__linux_OBJECTS)
am__objects_3 = vgpreload_exp_ptrcheck_arm_linux_so-h_intercepts.$(OBJEXT)
am_vgpreload_exp_ptrcheck_arm_linux_so_OBJECTS =  \
	$(am__objects_3)
vgpreload_exp_ptrcheck_arm_linux_so_OBJECTS = $(am_vgpreload_exp_ptrcheck_arm_linux_so_OBJECTS)
vgpreload_exp_ptrcheck_arm_linux_so_LDADD =  \
	$(LDADD)
vgpreload_exp_ptrcheck_arm_linux_so_LINK =  \
	$(CCLD) \
	$(vgpreload_exp_ptrcheck_arm_linux_so_CFLAGS) \
	$(CFLAGS) \
	$(vgpreload_exp_ptrcheck_arm_linux_so_LDFLAGS) \
	$(LDFLAGS) -o $@
am__vgpreload_exp_ptrcheck__linux_so_SOURCES_DIST =  \
	h_intercepts.c
am__objects_4 = vgpreload_exp_ptrcheck__linux_so-h_intercepts.$(OBJEXT)
#am_vgpreload_exp_ptrcheck__linux_so_OBJECTS =  \
#	$(am__objects_4)
vgpreload_exp_ptrcheck__linux_so_OBJECTS = $(am_vgpreload_exp_ptrcheck__linux_so_OBJECTS)
vgpreload_exp_ptrcheck__linux_so_LDADD =  \
	$(LDADD)
vgpreload_exp_ptrcheck__linux_so_LINK =  \
	$(CCLD) \
	$(vgpreload_exp_ptrcheck__linux_so_CFLAGS) \
	$(CFLAGS) \
	$(vgpreload_exp_ptrcheck__linux_so_LDFLAGS) \
	$(LDFLAGS) -o $@
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(exp_ptrcheck_arm_linux_SOURCES) \
	$(exp_ptrcheck__linux_SOURCES) \
	$(vgpreload_exp_ptrcheck_arm_linux_so_SOURCES) \
	$(vgpreload_exp_ptrcheck__linux_so_SOURCES)
DIST_SOURCES = $(exp_ptrcheck_arm_linux_SOURCES) \
	$(am__exp_ptrcheck__linux_SOURCES_DIST) \
	$(vgpreload_exp_ptrcheck_arm_linux_so_SOURCES) \
	$(am__vgpreload_exp_ptrcheck__linux_so_SOURCES_DIST)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
HEADERS = $(noinst_HEADERS)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = ${SHELL} /home/lm/valgrind-3.6.0/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/lm/valgrind-3.6.0/missing --run tar
AR = /scratchbox/compilers/bin/ar
AUTOCONF = ${SHELL} /home/lm/valgrind-3.6.0/missing --run autoconf
AUTOHEADER = ${SHELL} /home/lm/valgrind-3.6.0/missing --run autoheader
AUTOMAKE = ${SHELL} /home/lm/valgrind-3.6.0/missing --run automake-1.11
AWK = gawk
BOOST_CFLAGS = 
BOOST_LIBS = 
CC = gcc
CCAS = gcc
CCASDEPMODE = depmode=gcc3
CCASFLAGS = -Wno-long-long 
CCDEPMODE = depmode=gcc3
CFLAGS = -Wno-long-long 
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFAULT_SUPP = exp-ptrcheck.supp xfree-3.supp xfree-4.supp glibc-2.X-drd.supp glibc-2.34567-NPTL-helgrind.supp glibc-2.4.supp 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DIFF = diff -u
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
FLAG_FNO_STACK_PROTECTOR = 
FLAG_M32 = 
FLAG_M64 = 
FLAG_MAIX32 = 
FLAG_MAIX64 = 
FLAG_MMMX = 
FLAG_MSSE = 
FLAG_NO_BUILD_ID = 
FLAG_UNLIMITED_INLINE_UNIT_GROWTH = --param inline-unit-growth=900
FLAG_W_EXTRA = -Wextra
FLAG_W_NO_EMPTY_BODY = 
FLAG_W_NO_FORMAT_ZERO_LENGTH = -Wno-format-zero-length
FLAG_W_NO_UNINITIALIZED = -Wno-uninitialized
GDB = /targets/links/arch_tools/bin/gdb
GLIBC_VERSION = 2.4
GREP = /scratchbox/tools/bin/grep
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /home/lm/valgrind-3.6.0/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
MPI_CC = mpicc
OBJEXT = o
PACKAGE = valgrind
PACKAGE_BUGREPORT = valgrind-users@lists.sourceforge.net
PACKAGE_NAME = Valgrind
PACKAGE_STRING = Valgrind 3.6.0
PACKAGE_TARNAME = valgrind
PACKAGE_URL = 
PACKAGE_VERSION = 3.6.0
PATH_SEPARATOR = :
PERL = /scratchbox/tools/bin/perl
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
PREFERRED_STACK_BOUNDARY = 
QTCORE_CFLAGS = -DQT_SHARED -I/usr/include/qt4 -I/usr/include/qt4/QtCore  
QTCORE_LIBS = -lQtCore  
RANLIB = ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VALT_LOAD_ADDRESS_PRI = 0x38000000
VALT_LOAD_ADDRESS_SEC = 0xUNSET
VERSION = 3.6.0
VGCONF_ARCH_PRI = arm
VGCONF_ARCH_SEC = 
VGCONF_OS = linux
VGCONF_PLATFORM_PRI_CAPS = ARM_LINUX
VGCONF_PLATFORM_SEC_CAPS = 
abs_builddir = /home/lm/valgrind-3.6.0/exp-ptrcheck
abs_srcdir = /home/lm/valgrind-3.6.0/exp-ptrcheck
abs_top_builddir = /home/lm/valgrind-3.6.0
abs_top_srcdir = /home/lm/valgrind-3.6.0
ac_ct_CC = gcc
ac_ct_CXX = g++
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = 
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/lm/valgrind-3.6.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = /usr/share/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
SUBDIRS = . tests
inplacedir = $(top_builddir)/.in_place

#----------------------------------------------------------------------------
# Flags
#----------------------------------------------------------------------------

# Baseline flags for all compilations.  Aim here is to maximise
# performance and get whatever useful warnings we can out of gcc.
AM_CFLAGS_BASE = \
	-O2 -g \
	-Wall \
	-Wmissing-prototypes \
	-Wshadow \
	-Wpointer-arith \
	-Wstrict-prototypes \
	-Wmissing-declarations \
	-Wno-format-zero-length \
	-fno-strict-aliasing

AM_CFLAGS_PIC = -fpic -O -g -fno-omit-frame-pointer -fno-strict-aliasing

# These flags are used for building the preload shared objects.
# The aim is to give reasonable performance but also to have good
# stack traces, since users often see stack traces extending 
# into (and through) the preloads.
#AM_CFLAGS_PIC = -dynamic -O -g -fno-omit-frame-pointer -fno-strict-aliasing \
#		-mno-dynamic-no-pic -fpic -fPIC


# Flags for specific targets.
#
# Nb: the AM_CPPFLAGS_* values are suitable for building tools and auxprogs.
# For building the core, coregrind/Makefile.am files add some extra things.
#
# Also: in newer versions of automake (1.10 onwards?) asm files ending with
# '.S' are considered "pre-processed" (as opposed to those ending in '.s')
# and so the CPPFLAGS are passed to the assembler.  But this is not true for
# older automakes (e.g. 1.8.5, 1.9.6), sigh.  So we include
# AM_CPPFLAGS_<PLATFORM> in each AM_CCASFLAGS_<PLATFORM> variable.  This
# means some of the flags are duplicated on systems with newer versions of
# automake, but this does not really matter and seems hard to avoid.
AM_CPPFLAGS_ARM_LINUX = \
	-I$(top_srcdir) \
	-I$(top_srcdir)/include \
	-I$(top_srcdir)/VEX/pub \

=== helgrind/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# helgrind/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# This file should be included (directly or indirectly) by every
# Makefile.am that builds programs.  And also the top-level Makefile.am.

#----------------------------------------------------------------------------
# Global stuff
#----------------------------------------------------------------------------



pkgdatadir = $(datadir)/valgrind
pkgincludedir = $(includedir)/valgrind
pkglibdir = $(libdir)/valgrind
pkglibexecdir = $(libexecdir)/valgrind
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
DIST_COMMON = $(noinst_HEADERS) $(pkginclude_HEADERS) \
	$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(top_srcdir)/Makefile.all.am $(top_srcdir)/Makefile.tool.am
noinst_PROGRAMS = helgrind-arm-linux$(EXEEXT) \
	$(am__EXEEXT_1) \
	vgpreload_helgrind-arm-linux.so$(EXEEXT) \
	$(am__EXEEXT_2)
#am__append_1 = helgrind--linux
helgrind__linux_DEPENDENCIES =
#am__append_2 = vgpreload_helgrind--linux.so
subdir = helgrind
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
#am__EXEEXT_1 = helgrind--linux$(EXEEXT)
#am__EXEEXT_2 = vgpreload_helgrind--linux.so$(EXEEXT)
PROGRAMS = $(noinst_PROGRAMS)
am__objects_1 =  \
	helgrind_arm_linux-hg_basics.$(OBJEXT) \
	helgrind_arm_linux-hg_errors.$(OBJEXT) \
	helgrind_arm_linux-hg_lock_n_thread.$(OBJEXT) \
	helgrind_arm_linux-hg_main.$(OBJEXT) \
	helgrind_arm_linux-hg_wordset.$(OBJEXT) \
	helgrind_arm_linux-libhb_core.$(OBJEXT)
am_helgrind_arm_linux_OBJECTS = $(am__objects_1)
helgrind_arm_linux_OBJECTS =  \
	$(am_helgrind_arm_linux_OBJECTS)
am__helgrind__linux_SOURCES_DIST = hg_basics.c \
	hg_errors.c hg_lock_n_thread.c hg_main.c hg_wordset.c \
	libhb_core.c
am__objects_2 =  \
	helgrind__linux-hg_basics.$(OBJEXT) \
	helgrind__linux-hg_errors.$(OBJEXT) \
	helgrind__linux-hg_lock_n_thread.$(OBJEXT) \
	helgrind__linux-hg_main.$(OBJEXT) \
	helgrind__linux-hg_wordset.$(OBJEXT) \
	helgrind__linux-libhb_core.$(OBJEXT)
#am_helgrind__linux_OBJECTS =  \
#	$(am__objects_2)
helgrind__linux_OBJECTS =  \
	$(am_helgrind__linux_OBJECTS)
am__objects_3 = vgpreload_helgrind_arm_linux_so-hg_intercepts.$(OBJEXT)
am_vgpreload_helgrind_arm_linux_so_OBJECTS =  \
	$(am__objects_3)
vgpreload_helgrind_arm_linux_so_OBJECTS = $(am_vgpreload_helgrind_arm_linux_so_OBJECTS)
vgpreload_helgrind_arm_linux_so_LDADD = $(LDADD)
vgpreload_helgrind_arm_linux_so_LINK = $(CCLD) \
	$(vgpreload_helgrind_arm_linux_so_CFLAGS) \
	$(CFLAGS) \
	$(vgpreload_helgrind_arm_linux_so_LDFLAGS) \
	$(LDFLAGS) -o $@
am__vgpreload_helgrind__linux_so_SOURCES_DIST =  \
	hg_intercepts.c
am__objects_4 = vgpreload_helgrind__linux_so-hg_intercepts.$(OBJEXT)
#am_vgpreload_helgrind__linux_so_OBJECTS =  \
#	$(am__objects_4)
vgpreload_helgrind__linux_so_OBJECTS = $(am_vgpreload_helgrind__linux_so_OBJECTS)
vgpreload_helgrind__linux_so_LDADD = $(LDADD)
vgpreload_helgrind__linux_so_LINK = $(CCLD) \
	$(vgpreload_helgrind__linux_so_CFLAGS) \
	$(CFLAGS) \
	$(vgpreload_helgrind__linux_so_LDFLAGS) \
	$(LDFLAGS) -o $@
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(helgrind_arm_linux_SOURCES) \
	$(helgrind__linux_SOURCES) \
	$(vgpreload_helgrind_arm_linux_so_SOURCES) \
	$(vgpreload_helgrind__linux_so_SOURCES)
DIST_SOURCES = $(helgrind_arm_linux_SOURCES) \
	$(am__helgrind__linux_SOURCES_DIST) \
	$(vgpreload_helgrind_arm_linux_so_SOURCES) \
	$(am__vgpreload_helgrind__linux_so_SOURCES_DIST)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(pkgincludedir)"
HEADERS = $(noinst_HEADERS) $(pkginclude_HEADERS)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = ${SHELL} /home/lm/valgrind-3.6.0/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/lm/valgrind-3.6.0/missing --run tar
AR = /scratchbox/compilers/bin/ar
AUTOCONF = ${SHELL} /home/lm/valgrind-3.6.0/missing --run autoconf
AUTOHEADER = ${SHELL} /home/lm/valgrind-3.6.0/missing --run autoheader
AUTOMAKE = ${SHELL} /home/lm/valgrind-3.6.0/missing --run automake-1.11
AWK = gawk
BOOST_CFLAGS = 
BOOST_LIBS = 
CC = gcc
CCAS = gcc
CCASDEPMODE = depmode=gcc3
CCASFLAGS = -Wno-long-long 
CCDEPMODE = depmode=gcc3
CFLAGS = -Wno-long-long 
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFAULT_SUPP = exp-ptrcheck.supp xfree-3.supp xfree-4.supp glibc-2.X-drd.supp glibc-2.34567-NPTL-helgrind.supp glibc-2.4.supp 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DIFF = diff -u
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
FLAG_FNO_STACK_PROTECTOR = 
FLAG_M32 = 
FLAG_M64 = 
FLAG_MAIX32 = 
FLAG_MAIX64 = 
FLAG_MMMX = 
FLAG_MSSE = 
FLAG_NO_BUILD_ID = 
FLAG_UNLIMITED_INLINE_UNIT_GROWTH = --param inline-unit-growth=900
FLAG_W_EXTRA = -Wextra
FLAG_W_NO_EMPTY_BODY = 
FLAG_W_NO_FORMAT_ZERO_LENGTH = -Wno-format-zero-length
FLAG_W_NO_UNINITIALIZED = -Wno-uninitialized
GDB = /targets/links/arch_tools/bin/gdb
GLIBC_VERSION = 2.4
GREP = /scratchbox/tools/bin/grep
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /home/lm/valgrind-3.6.0/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
MPI_CC = mpicc
OBJEXT = o
PACKAGE = valgrind
PACKAGE_BUGREPORT = valgrind-users@lists.sourceforge.net
PACKAGE_NAME = Valgrind
PACKAGE_STRING = Valgrind 3.6.0
PACKAGE_TARNAME = valgrind
PACKAGE_URL = 
PACKAGE_VERSION = 3.6.0
PATH_SEPARATOR = :
PERL = /scratchbox/tools/bin/perl
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
PREFERRED_STACK_BOUNDARY = 
QTCORE_CFLAGS = -DQT_SHARED -I/usr/include/qt4 -I/usr/include/qt4/QtCore  
QTCORE_LIBS = -lQtCore  
RANLIB = ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VALT_LOAD_ADDRESS_PRI = 0x38000000
VALT_LOAD_ADDRESS_SEC = 0xUNSET
VERSION = 3.6.0
VGCONF_ARCH_PRI = arm
VGCONF_ARCH_SEC = 
VGCONF_OS = linux
VGCONF_PLATFORM_PRI_CAPS = ARM_LINUX
VGCONF_PLATFORM_SEC_CAPS = 
abs_builddir = /home/lm/valgrind-3.6.0/helgrind
abs_srcdir = /home/lm/valgrind-3.6.0/helgrind
abs_top_builddir = /home/lm/valgrind-3.6.0
abs_top_srcdir = /home/lm/valgrind-3.6.0
ac_ct_CC = gcc
ac_ct_CXX = g++
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = 
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/lm/valgrind-3.6.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = /usr/share/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
SUBDIRS = . tests
inplacedir = $(top_builddir)/.in_place

#----------------------------------------------------------------------------
# Flags
#----------------------------------------------------------------------------

# Baseline flags for all compilations.  Aim here is to maximise
# performance and get whatever useful warnings we can out of gcc.
AM_CFLAGS_BASE = \
	-O2 -g \
	-Wall \
	-Wmissing-prototypes \
	-Wshadow \
	-Wpointer-arith \
	-Wstrict-prototypes \
	-Wmissing-declarations \
	-Wno-format-zero-length \
	-fno-strict-aliasing

AM_CFLAGS_PIC = -fpic -O -g -fno-omit-frame-pointer -fno-strict-aliasing

# These flags are used for building the preload shared objects.

=== debian/changelog ===
valgrind (1:3.6.0-1) unstable; urgency=low

  * Initial release.
  * Add support for ARMv5/ARMv6 (https://bugs.kde.org/show_bug.cgi?id=248998).
  * Rename svc instructions to swi to allow building with Diablo's older gas.
  * Stole valgrind.sh wrapper from osso version.

 -- Lucas Maneos <maemo@subs.maneos.org>  Fri, 12 Nov 2010 03:38:24 +0000

=== debian/control ===
Source: valgrind
Section: devel
Priority: optional
Maintainer: Lucas Maneos <maemo@subs.maneos.org>
Build-Depends: debhelper (>> 3.0.0), libc6-dev (>> 2.3.0), autotools-dev, dpatch (>> 2.0.0), gdb
Standards-Version: 3.6.2.0

Package: valgrind
Architecture: armel
Depends: ${shlibs:Depends}, maemo-debug-scripts
Conflicts: valgrind-callgrind
Provides: valgrind-callgrind
Suggests: kcachegrind, alleyoop
Recommends: gdb
Description: A memory debugger and profiler
 Valgrind is a framework for building dynamic analysis tools. There are
 Valgrind tools that can automatically detect many memory management
 and threading bugs, and profile your programs in detail. You can also
 use Valgrind to build new tools.
 .
 The Valgrind distribution currently includes six production-quality
 tools: a memory error detector, two thread error detectors, a cache
 and branch-prediction profiler, a call-graph generating cache abd
 branch-prediction profiler, and a heap profiler. It also includes
 three experimental tools: a heap/stack/global array overrun detector,
 a different kind of heap profiler, and a SimPoint basic block vector
 generator.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

include /usr/share/dpatch/dpatch.make

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.sub config.guess: %: /usr/share/misc/%
	cp -a $< $@

configure: configure-stamp
configure-stamp: config.sub config.guess
	dh_testdir

	#cat xfree-4.supp debian/debian.supp > debian.supp
	
	./configure --prefix=/usr --mandir=/usr/share/man

	touch configure-stamp

build: patch build-stamp

build-stamp: configure-stamp 
	dh_testdir

	$(MAKE)

	#$(MAKE) regtest

	#/usr/bin/docbook-to-man debian/valgrind.sgml > valgrind.1

	touch build-stamp

clean: unpatch
	dh_testdir
	rm -f build-stamp configure-stamp
	dh_clean
	-$(MAKE) clean
	rm -f config.status config.cache config.log 
	rm -rf debian/patched coregrind/.in_place
	#rm -f debian.supp 


install_file=install -p -m644
install_bin=install -p -m755
install_dir=install -p -d -m755
target=$(CURDIR)/debian/valgrind

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/valgrind.
	$(MAKE) install DESTDIR=$(target)
	
	cp -f debian/debian-libc6-dbg.supp $(target)/usr/lib/valgrind

	# Insert the wrapper
	mv -f $(target)/usr/bin/valgrind $(target)/usr/bin/valgrind.bin
	cp -f debian/valgrind.sh $(target)/usr/bin/valgrind
	chown root.root $(target)/usr/bin/valgrind.bin $(target)/usr/bin/valgrind
	chmod 755 $(target)/usr/bin/valgrind.bin $(target)/usr/bin/valgrind
	
	# This stuff comes from us

	#$(install_file) debian.supp $(target)/usr/lib/valgrind 
	
	#$(install_dir) $(target)/usr/share/doc/valgrind/html

	#$(install_dir) $(target)/usr/share/lintian/overrides/
	#$(install_file) debian/overrides \
	#           $(target)/usr/share/lintian/overrides/valgrind

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman
	dh_installchangelogs -a NEWS upstream
	dh_installexamples
	#dh_strip # Intentional, at upstream's request.
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_installdeb
	dh_md5sums
	dh_builddeb


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure patch unpatch
